GNU bug report logs - #60460
30.0.50; [FR] avoid putting remote files to local trash

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ruijie Yu <ruijie@HIDDEN>; merged with #60462; dated Sun, 1 Jan 2023 08:36:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 8 Jan 2023 18:30:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 13:30:28 2023
Received: from localhost ([127.0.0.1]:34646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEaRA-0001Gp-85
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 13:30:28 -0500
Received: from mout.gmx.net ([212.227.17.20]:56787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pEaR8-0000wF-FF
 for 60460 <at> debbugs.gnu.org; Sun, 08 Jan 2023 13:30:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1673202589; bh=H6tYEevDhypQRWarNEBgJm/u4nO+q2KdZQhhCiNFZC0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=TL2XR7VnP7YBGa/86Hq4Y1Txcjw81UhjTW6G6DP1ECWDkXUpArkzlCOxzUde9q1Yh
 ShUXL49VgFqgzQUIFvjXUOaIouNH3GRb4nA6TzkhYff2cC/W+kOgUeSJ0Tzx7C5quz
 Ztu075P2ebkedzBJycRz39ptMMErI27WALSwzFKcd1zbQmGCA6yXSf/RbQjWeneMIN
 xPPho1dGSOY1PTHK9i9/QkEPkT69Ny3mcH/rc5AkQgAGtaqPuVlfAjU/jyM7CT1d1d
 KPh2Qbq4sw0yb0PDzdJ+mJsuNnDK++93NE17JiezOuale8RyZ0t4nuSDjmyQF6/7aT
 2A7MtBwstnJ9A==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MwQTF-1oy1Pc0Qcf-00sN4D; Sun, 08
 Jan 2023 19:29:49 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
In-Reply-To: <87bkngdmxd.fsf@HIDDEN> (Michael Albinus's message of "Tue, 03
 Jan 2023 09:47:42 +0100")
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
 <Y7MGN9g/1GR7Nb2f@HIDDEN> <87ilhoeqlf.fsf@HIDDEN>
 <Y7NAmTMibDcDccdb@HIDDEN> <87bkngdmxd.fsf@HIDDEN>
Date: Sun, 08 Jan 2023 19:29:48 +0100
Message-ID: <875ydg282r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:NOWFWAr7YGfA6blgWdNLYMy1KKsu/hMVFlQ5tGKOCocdFTdi8qX
 BG4TT+jkqg+RH2AdvNAvQWLoKkTIusTx/yNpfrN9rbEs+l7irXjBuS/LBJzGZXaPIcZJA6X
 zqsAD7pdA6S8kYglISAYzQmuKO07u74hk2oWrc+ah6tMRTGRJDafWFenSc5xWN28194EcMI
 Rh+RsFeVtNwcndo+fjswQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:9DAAkNgsseM=;sh0OB2aTEc52bDVMxDNvJeGwGkj
 /a/QfNxhnVKojxEjHKlxG+QvzbK5nZfXZsgADWiITMnGoe5C3fcoIZ7bte5wEcK/C0cZQzP3c
 fgfPIIqc6Cjb4qpJAG7L6gbZM+UHkC8dwRwNXpgvXtMnIlOzw31l4gOOL7E6a0d0eB0+BoXdD
 Yo581CLF3rcWUG02gIjhTYZ8Fa8bKk9KftTBBBBQ7WkI6sNk74E1vLVsD1F1lOSW3OkE05uUK
 pg9yuPnj/rKccdkWsOKxBqaatBncyZG+q71mmYk0r39kaRRq8S5Y4lTzgsE8NmWFHZ6jneHxV
 W5SbwF1gZzzXKYBvHahpzZpE7AU/+Yl2BjZbvsJhLk+6E97QR42isrwGh4kUvkLLn8uxD9ubp
 /0h3iGIfmhbdqlC8zWd86CY6rl5BQ1IKj3p45k/Wny3wD4ohMyajBROku4W/vSkxEJRr3FI64
 8I7p5SiKjuCFLsCxOd/o0v4QJX+jg39gRWCulo+oYMHBp51ZmQIsyyX/VS40nLES9XuqEyauW
 QrQaM7L7SaHtx9IZJuBhSCsJOCc2qVGxHTFTtSrnFYs9piGoTzc8FB4iIua9mxL55b2IsyAqr
 PvkuReqVvJhuiCdjIkjCHTq6fmtMdmIeJBAzWruhse06lGoejqAjXc0qVEfDb5ubDWeRHbFdo
 pACXTZmUj1tmNkvjWtXrG6ThIgEcq/v/uNwYugBg4SCPqBbkQub4e4BecMBmOnYyc7/daHKmO
 U9X2EffvDsrlNlqZtm8b2cm8APXTP9vDzCJGa6ILq1LEVVFC/kg+fLkMvvhqxFSYINUsuN3Rk
 W/bPhEh+funscz6NO5kFIEv4jZjI4DnEZzdFF3zSeqqvOcpgQMB/gUd9OD3K34GW6OUtwiHhw
 E+kWVl+27I9CwZ6yVmQfkg5AulW6uCLAURFtCrbaju5FDr50eSSDxFRCujeByvLnPmrXiybpy
 P/Z7766WYkEZ9Jh/NFApUq5bPZE=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60460
Cc: ruijie@HIDDEN, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi,

> `remote-file-name-inhibit-delete-by-moving-to-trash' is just an offer as
> convenience user option, nobody is obliged to use it. There are still
> connection-local variables or `system-move-file-to-trash' for users with
> the need of more fine-grained configuration.

FTR, I've added this user option to Emacs master.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 8 Jan 2023 09:20:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 04:20:48 2023
Received: from localhost ([127.0.0.1]:59853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pERrE-0001gA-AO
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 04:20:48 -0500
Received: from mout.gmx.net ([212.227.17.20]:43599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pERrC-0001fw-Gz
 for 60460 <at> debbugs.gnu.org; Sun, 08 Jan 2023 04:20:47 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1673169609; bh=U8bvZQm6yneJKcFzOWmu7bRosX6dHoBygVhhR9J7gbI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=JFhCXZtZ+8pSxARYEHhxHJhgpnEDDAQ7BCmPekrSQldDPKWhP/FacDBPZEKJTIdpG
 IvNop1RvWGjBxzDRvLl/qAxOIv+BXP63atdCoUafu7BwM/zHhFFVQocWT4LB5qxBh9
 SdgVXYFfIqczu5igK7RmCBTSwxLxKSGqcNVJfPUBsQ07aHv9/9PxZQ+md4taRDzmIF
 ea/OP2E3Bxc7esXeaQQwAGyY8fbzskmCU76c1XPV+ErTwdehhVNUC9BDXUEBFlfADB
 1Nkz0OSjlJ5KGJ7/3766QpZm1+6CNOQBhZ3MJNdPdfmiuCr6nHnyNIsNL2Amq1HpEe
 duF/aA7xN4haw==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MtwUm-1ovfwS3dgS-00uHOP; Sun, 08
 Jan 2023 10:20:08 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
In-Reply-To: <Y7oQWHUrCuZU5Oru@HIDDEN> (Jean Louis's message of
 "Sun, 8 Jan 2023 03:37:44 +0300")
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
 <Y7MGN9g/1GR7Nb2f@HIDDEN> <87ilhoeqlf.fsf@HIDDEN>
 <Y7NAmTMibDcDccdb@HIDDEN> <87bkngdmxd.fsf@HIDDEN>
 <sdvo7rbj78z.fsf@HIDDEN> <878rie33zj.fsf@HIDDEN>
 <Y7oQWHUrCuZU5Oru@HIDDEN>
Date: Sun, 08 Jan 2023 10:20:08 +0100
Message-ID: <87zgat1iyf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:AYu0XRfWwL/aN04tE37nFMfCK++ZJPQ96OfU+9hb+VV54F6UNTi
 ywWHHChbWt87ZLWgpKAMpEcO2PQ4cMigu4QZV7A29YO2NpJcSVQk7JEPp5O+VPjJSXnhQyK
 CZ0lbPNES7nQdeyOh7zuLobOr50Is6UXJ8nBHYJqfYJBxpZYC8MRCm6leVHbhkjPXcLoRWj
 R7ZGLPs6eiAbim2FB2pKQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:4yhUnnpI1Xo=;2tjDG8GqMSf66orEH1NQE3UpPIP
 S5C+DHfOxkZwWa90gi7zjogtFBf2Q/F9T7KZMjGCbh3CMu7pOMzKq+H1bj4JsyAS0EkQsMrw0
 QZGFQE5mbZBCPQ8K2vDvlFm+iinEQOqUkRH49bTWRIabeeOVMvANP6dZUX15zJvkKrt3mrHCa
 u6NLLxLeRV/6zDDbLBHPvhkbZ5ov5G0GVKoJR/GQh4BX5sLJVsemC4XtTjXj001OErWL87ALx
 +4gdcZn1Qq8x0/xJ0ORvcLvxaxchai0WwUQmhdlftQwz238fSSM1NLXam4XRUoi9RlhuTU5Co
 +NfZz05c1fSUj+lmopAsJtmPQAe/eiDLj8i6awMVnfy1C3YsnqXeTwkvotAk8+riniGxziC33
 ivEecK3WwzIH2PN8FwMTthxFm27KOrAMTW7anEyJetPtpJcw0hg45TblDSDnAQD1r/2Kp0iL7
 No1Ihgllz5+gO0X2gjofgOIemg2hC1QkuAMvyjjXMCYp24dK48hhK2/j3pDWxYtETpUqYwSRZ
 feqLrc0FLVRg3KCQgLKM5FWOiJWJsycpAMowHgnOEkkXgQhL14t0XvmQABltxtmrjJLkGj9bu
 bQN3mfMkMtFL+Q/a0Uk/9lLEpxJlj1zZrPpD+ERBGjXq4vrFjqs4DIeXRbQA2WflMo5YJ1Uy2
 QLT/Ifu77atnQiKEvC/hoBy0/5z3fsnJVHdOQxyHPzte/K7G8qWCw2IFPitAbv1+D4sG3RyH/
 XGOPVz5LNWw69Es1SH2aRyirIE5Id4OGElglEOba9DtMUm0zFQn/jr9XB6z5lq/2vdox5DKVF
 1sjzIWq4u3NK0AOT+73gZUiBpqfEw2d4zT+q0sjhM8NOvTcfmOJV30FUzXpLUBYiwrRTANcZX
 ukNjmvqxsWi+8RI2jDG43ThxFwUQ3417k11/9UVwxdR943SxZCX3BpkAQr56BJAIZFZYkEAkX
 +6JYS0hpIH0Sn4+VJrfR5oarG/s=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Jean Louis writes: Hi Jean, > * Michael Albinus [2023-01-07
 15:51]: >> > We could lock this proposed change behind a flag to retain
 backward
 >> > compatibility for those who still prefer to trash remote files by moving
 >> > th [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.20 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.20 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 60460
Cc: Ruijie Yu <ruijie@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Jean Louis writes: Hi Jean, > * Michael Albinus [2023-01-07
    15:51]: >> > We could lock this proposed change behind a flag to retain backward
    >> > compatibility for those who still prefer to trash remote files by moving
    >> > th [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.20 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Jean Louis <bugs@HIDDEN> writes:

Hi Jean,

> * Michael Albinus <michael.albinus@HIDDEN> [2023-01-07 15:51]:
>> > We could lock this proposed change behind a flag to retain backward
>> > compatibility for those who still prefer to trash remote files by moving
>> > them into local trash directory.  Regardless, the behavior before and
>> > after the change for local files should remain the same.
>>
>> We've used this approach in Emacs 27 (Tramp 2.4), but it wasn't robust
>> enough. So this was removed from Tramp, knowing that users could define
>> their own `system-move-file-to-trash'.
>
> Eli said that is not for users to define, as those functions are
> defined by developers on Mac OS or Windows, and are not the way for
> users to customize their Emacs.

Right, it is not the recommended way (and the Tramp doc doesn't mention
it). The recommended way for remote files are connection-local variables.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 8 Jan 2023 00:38:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 07 19:38:23 2023
Received: from localhost ([127.0.0.1]:59359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEJhf-00025s-FF
	for submit <at> debbugs.gnu.org; Sat, 07 Jan 2023 19:38:23 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:55725)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1pEJhe-00025j-4Q
 for 60460 <at> debbugs.gnu.org; Sat, 07 Jan 2023 19:38:22 -0500
Received: from localhost ([::ffff:197.239.14.179])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000055D5E.0000000063BA1080.00005178; Sat, 07 Jan 2023 17:38:24 -0700
Date: Sun, 8 Jan 2023 03:37:44 +0300
From: Jean Louis <bugs@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
Message-ID: <Y7oQWHUrCuZU5Oru@HIDDEN>
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
 <Y7MGN9g/1GR7Nb2f@HIDDEN> <87ilhoeqlf.fsf@HIDDEN>
 <Y7NAmTMibDcDccdb@HIDDEN> <87bkngdmxd.fsf@HIDDEN>
 <sdvo7rbj78z.fsf@HIDDEN> <878rie33zj.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <878rie33zj.fsf@HIDDEN>
User-Agent: Mutt/2.2.9+54 (af2080d) (2022-11-21)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60460
Cc: Ruijie Yu <ruijie@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Michael Albinus <michael.albinus@HIDDEN> [2023-01-07 15:51]:
> > We could lock this proposed change behind a flag to retain backward
> > compatibility for those who still prefer to trash remote files by moving
> > them into local trash directory.  Regardless, the behavior before and
> > after the change for local files should remain the same.
> 
> We've used this approach in Emacs 27 (Tramp 2.4), but it wasn't robust
> enough. So this was removed from Tramp, knowing that users could define
> their own `system-move-file-to-trash'.

Eli said that is not for users to define, as those functions are
defined by developers on Mac OS or Windows, and are not the way for
users to customize their Emacs.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 7 Jan 2023 12:49:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 07 07:49:02 2023
Received: from localhost ([127.0.0.1]:56671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pE8dC-0000vB-0n
	for submit <at> debbugs.gnu.org; Sat, 07 Jan 2023 07:49:02 -0500
Received: from mout.gmx.net ([212.227.15.19]:33517)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pE8d8-0000uk-U5
 for 60460 <at> debbugs.gnu.org; Sat, 07 Jan 2023 07:49:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1673095700; bh=gK4VBG+U2Yqhh8jxH7mce8X5UycCWutSW9LVSEwNikk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=nLDsRJJp5m2jNkrB93QI4yjnlimvZYNlyBwpgZV3wDY3QjtJkGMQcrF4jZ6tb8POb
 Us414bn8gwHH/qTax41dCVhONtpLpO5w0yQI8oeAe7e6zLLjcvW+FjJOyg/Xa1Vw16
 h5u6r0Rjv68zUWohii1OvsFIx3CFH6gUHm6HKXbhCGYevi3RzTSItGgvVK36xo7hwI
 wrNVxiZOyCXtDr+IVkkbPV2fx1018W7UgTF08qwCK80kBEgoXURYflpFsgHXMhrzVz
 1pnkQvZcCp9HPqF/01VdAJQbu37jwpuLkfQYmX7MYC82H6YjBM5OGATwUpW1PSFeMm
 mVWMb8QMCN1Rg==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M3DJv-1pClB83aRB-003ek5; Sat, 07
 Jan 2023 13:48:19 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Ruijie Yu <ruijie@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
In-Reply-To: <sdvo7rbj78z.fsf@HIDDEN> (Ruijie Yu's message of "Fri, 06 Jan
 2023 21:53:35 -0600")
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
 <Y7MGN9g/1GR7Nb2f@HIDDEN> <87ilhoeqlf.fsf@HIDDEN>
 <Y7NAmTMibDcDccdb@HIDDEN> <87bkngdmxd.fsf@HIDDEN>
 <sdvo7rbj78z.fsf@HIDDEN>
Date: Sat, 07 Jan 2023 13:48:16 +0100
Message-ID: <878rie33zj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:IuinSjBPXTrk2J5wKp57oj8YPfZGqS7SwvSEnwE9BD9gSZqA7iz
 XClFcp26NeXKPVUHb+ijkjFnM2GfonkwMad2yNAM4qTR5jMvtipjX6S68QtPIx8VobQUuUV
 QNVX5VOK5x0MqZjcPZor+bQl4NTg0KMhiRNmm6vxawZ3SrKW0QnCJcYXSQ8kOq6wl5HahSL
 o/mWIbCVTPoubkZCt64mg==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:de2m8fJ8+mo=;oK0ub1svukaooNirMdvg2MbETzl
 fyoUCQAoIpoO6MtqeyVENlJXzY0LwqJbBJiapLMg69u7eHHgzLF15ZUcMCco5HXHowWAmI4ID
 tzaMi48HlWVjhNo+uiHEgxv0kvxdG59Oc8+hMqZujMoJljzJn65+oigdmn/3nBEYYGQtSbMAH
 JI8mqCB4MWoxWoeE3gHQg95oIF6/Kc0xEVKE2LhBPay6PEviPpXeb+FgxthRXOhb0XmRQ4nrP
 6Ub+LcsK5l0qYx7XC59yfk0PyKph0gDuJGGYGfqNHRvMUqyDdaTiZB+XRu6olYzeM3L91OwQO
 dzK6YVJ7kbcNi4c3sYvBiCs25Z72L92CSSPOp0HvOYJSe5Zr05VX06k3kBPYRG8LnpmmoWtEG
 CaCd+Go6Uy8PFPMhjJbDKr5qkqoJ2wWUAaHllQXpIvvD7dEppj4+m7MDbsQp8zLI68BcrVXfg
 LuVTQZbHDHOc/NAP9KjOkIR1bY3Y+6sWye0Rgl8eWnFzQoTz6BYAXeszGJcbhE82TiEqJeXrD
 JPA33CGtukTSEomL9ytHi1yFgQqTei7P4btx6goCil8NLyFzpTm3AOa9sWSsbkTXGNTvokmpr
 vdCnix7u1ospwxZBkXO6LNoVjXqkxpBzg15wd5+bYGpvC/zTyq6jDz3EyMZFziAvt9IvKe217
 UmXe+ukxBFOeogfdqUTUDjChPW4p1GbdlOAv5p0ufqZ4s+xW06Ea7vt3A9ZME3GbxhQJpp+Ui
 ZLxuGCwrs0uG90TGaLxGXqmDUo+mB/py/DHJPp2Zs0TH63oTcDr8fOLwPy++t+yeeChNGKaZv
 RmlLrsB88jzNCF8q3q8sqj0aayLBewtijyf/virdOrWd/oicBrOl7v9eKMm1fCFem4swOXRgS
 kzkk4jXsusBcMVP9CNS1vrki01QmafWZ0JHmqjRXiMLfYZ/mV1KVWZsHt/LDiQyJmGCYKCJzz
 dx3rAJb1WACDT72fq72M31kecJ8=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Ruijie Yu writes: > Hi Michael and Jean, Hi, 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 T_PDS_OTHER_BAD_TLD    Untrustworthy TLDs
 [URI: netyu.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.19 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 60460
Cc: Jean Louis <bugs@HIDDEN>, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Ruijie Yu writes: > Hi Michael and Jean, Hi, 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.19 listed in list.dnswl.org]
  0.0 T_PDS_OTHER_BAD_TLD    Untrustworthy TLDs
                             [URI: netyu.xyz (xyz)]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Ruijie Yu <ruijie@HIDDEN> writes:

> Hi Michael and Jean,

Hi,

> Considering the security implications of moving remote files into user
> trash, does it make sense if we modify the `move-file-to-trash' function
> such that when a remote file is to be trashed, it is trashed into the
> trash location *of the same remote*?
>
> That is, if we want to trash "/sudo::/etc/sudoers.d/foo" using the
> modified `move-file-to-trash', we can move "/sudo::/etc/sudoers.d/foo"
> into somewhere under "/sudo::.local/share/Trash/".  This way the file
> never leaves the remote, and it does not matter what type the remote is.
> In addition, trashing files from multi-hop remotes would be supported
> natively with the same behavior:
> "/sshx:u1@s1|sshx:u2@s2:.ssh/known_hosts" ->
> "/sshx:u1@s1|sshx:u2@s2:.local/share/Trash/...".
>
> We could lock this proposed change behind a flag to retain backward
> compatibility for those who still prefer to trash remote files by moving
> them into local trash directory.  Regardless, the behavior before and
> after the change for local files should remain the same.

We've used this approach in Emacs 27 (Tramp 2.4), but it wasn't robust
enough. So this was removed from Tramp, knowing that users could define
their own `system-move-file-to-trash'.

>> `remote-file-name-inhibit-delete-by-moving-to-trash' is just an offer as
>> convenience user option, nobody is obliged to use it. There are still
>> connection-local variables or `system-move-file-to-trash' for users with
>> the need of more fine-grained configuration.
>>
>>> Right now I use my function `system-move-file-to-trash' as recommended
>>> by function `move-file-to-trash' and that is great option, I like that
>>> configuration, so I can decide myself what get moved to Trash and what
>>> not, so I will expand it to recognize sudo paths.
>>
>> Sigh.
>
> For my original problem, what I did was to add a hook to `dired-mode' to
> make the offending variable buffer-local, like the following.
>
> (defun cfg-dired-setup ()
>   "Custom setup hook for `dired-mode'."
>   (interactive)
>   ;; other configs omitted
>   (cfg-dired-setup--avoid-remote-trash))
>
> (defun cfg-dired-setup--avoid-remote-trash ()
>   (when (and (boundp 'dired-directory)
>              dired-directory
>              (file-remote-p dired-directory))
>     (setq-local delete-by-moving-to-trash nil)))
>
> (add-hook 'dired-mode-hook #'cfg-dired-setup)
>
> This only fixes my own issue for remote dired buffers, but would not fix
> the trashing issue generally (for example within an eshell session or in
> elisp programatically).

So `remote-file-name-inhibit-delete-by-moving-to-trash' would fit your use case perfectly.

> Best,
>
>
> RY

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 7 Jan 2023 04:37:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 06 23:37:04 2023
Received: from localhost ([127.0.0.1]:56282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pE0x2-0007km-QH
	for submit <at> debbugs.gnu.org; Fri, 06 Jan 2023 23:37:04 -0500
Received: from netyu.xyz ([152.44.41.246]:51430 helo=mail.netyu.xyz)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ruijie@HIDDEN>) id 1pE0wz-0007kc-LI
 for 60460 <at> debbugs.gnu.org; Fri, 06 Jan 2023 23:36:58 -0500
Received: from fw.net.yu.netyu.xyz
 (99-87-204-218.lightspeed.irvnca.sbcglobal.net [99.87.204.218])
 by netyu.xyz (OpenSMTPD) with ESMTPSA id 3393dbb1
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Sat, 7 Jan 2023 04:36:56 +0000 (UTC)
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
 <Y7MGN9g/1GR7Nb2f@HIDDEN> <87ilhoeqlf.fsf@HIDDEN>
 <Y7NAmTMibDcDccdb@HIDDEN> <87bkngdmxd.fsf@HIDDEN>
User-agent: mu4e 1.8.13; emacs 29.0.60
From: Ruijie Yu <ruijie@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
Date: Fri, 06 Jan 2023 21:53:35 -0600
In-reply-to: <87bkngdmxd.fsf@HIDDEN>
Message-ID: <sdvo7rbj78z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60460
Cc: Jean Louis <bugs@HIDDEN>, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


Hi Michael and Jean,

Sorry for the radio silence since my first few messages in this thread
-- life decided to become busy.  Anyways, here below (inline) are some
of my thoughts.

Michael Albinus <michael.albinus@HIDDEN> writes:

> Jean Louis <bugs@HIDDEN> writes:
>
> Hi Jean,
>
>> [...]
>>
>> If I can run other file manager with sudo and move to Trash anywhere
>> it is specified, then let it be for Emacs users too, as by trying to
>> "secure" something what otherwise was decided on low level, makes no
>> sense.
>>
>> We can't say later "Emacs is more secure as file manager because it
>> does not allow you to move files managed with sudo to Trash" --
>> because it is not "more secure" as it is high level, not low level.
>
> All true, but there are individual decisions by users. I don't see why
> we shall add a special case for sudo (and su, doas, sudoedit, sg, ...) -
> all of them identify remote (possibly root owned) files and shall be
> handled as such. And then, there are also multi-hop remote file names,
> which would need another handling then for sudo and friends.

Considering the security implications of moving remote files into user
trash, does it make sense if we modify the `move-file-to-trash' function
such that when a remote file is to be trashed, it is trashed into the
trash location *of the same remote*?

That is, if we want to trash "/sudo::/etc/sudoers.d/foo" using the
modified `move-file-to-trash', we can move "/sudo::/etc/sudoers.d/foo"
into somewhere under "/sudo::.local/share/Trash/".  This way the file
never leaves the remote, and it does not matter what type the remote is.
In addition, trashing files from multi-hop remotes would be supported
natively with the same behavior:
"/sshx:u1@s1|sshx:u2@s2:.ssh/known_hosts" ->
"/sshx:u1@s1|sshx:u2@s2:.local/share/Trash/...".

We could lock this proposed change behind a flag to retain backward
compatibility for those who still prefer to trash remote files by moving
them into local trash directory.  Regardless, the behavior before and
after the change for local files should remain the same.

> `remote-file-name-inhibit-delete-by-moving-to-trash' is just an offer as
> convenience user option, nobody is obliged to use it. There are still
> connection-local variables or `system-move-file-to-trash' for users with
> the need of more fine-grained configuration.
>
>> Right now I use my function `system-move-file-to-trash' as recommended
>> by function `move-file-to-trash' and that is great option, I like that
>> configuration, so I can decide myself what get moved to Trash and what
>> not, so I will expand it to recognize sudo paths.
>
> Sigh.

For my original problem, what I did was to add a hook to `dired-mode' to
make the offending variable buffer-local, like the following.

(defun cfg-dired-setup ()
  "Custom setup hook for `dired-mode'."
  (interactive)
  ;; other configs omitted
  (cfg-dired-setup--avoid-remote-trash))

(defun cfg-dired-setup--avoid-remote-trash ()
  (when (and (boundp 'dired-directory)
             dired-directory
             (file-remote-p dired-directory))
    (setq-local delete-by-moving-to-trash nil)))

(add-hook 'dired-mode-hook #'cfg-dired-setup)

This only fixes my own issue for remote dired buffers, but would not fix
the trashing issue generally (for example within an eshell session or in
elisp programatically).

> Best regards, Michael.

Best,


RY




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 3 Jan 2023 17:16:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 03 12:16:12 2023
Received: from localhost ([127.0.0.1]:46636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCktY-0003cJ-8S
	for submit <at> debbugs.gnu.org; Tue, 03 Jan 2023 12:16:12 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:41817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1pCktT-0003c8-9E
 for 60460 <at> debbugs.gnu.org; Tue, 03 Jan 2023 12:16:10 -0500
Received: from localhost ([::ffff:197.239.13.208])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000055D56.0000000063B462D8.0000110F; Tue, 03 Jan 2023 10:16:07 -0700
Date: Tue, 3 Jan 2023 16:53:19 +0300
From: Jean Louis <bugs@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
Message-ID: <Y7QzT2qOFiC48rlG@HIDDEN>
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
 <Y7MGN9g/1GR7Nb2f@HIDDEN> <87ilhoeqlf.fsf@HIDDEN>
 <Y7NAmTMibDcDccdb@HIDDEN> <87bkngdmxd.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87bkngdmxd.fsf@HIDDEN>
User-Agent: Mutt/2.2.9+54 (af2080d) (2022-11-21)
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Michael Albinus <michael.albinus@HIDDEN> [2023-01-03
 11:48]:
 > All true, but there are individual decisions by users. I don't see why
 > we shall add a special case for sudo (and su, doas, sudoedit, [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
X-Debbugs-Envelope-To: 60460
Cc: ruijie@HIDDEN, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

* Michael Albinus <michael.albinus@HIDDEN> [2023-01-03 11:48]:
> All true, but there are individual decisions by users. I don't see why
> we shall add a special case for sudo (and su, doas, sudoedit, sg,
> ...) -

I told that the part of discussion is beyond the bug case. I would not
do that and demand from you to add special cases, when there is
already way offered for that, function `system-move-file-to-trash' is
defined by system user, and solves any issues.

> `remote-file-name-inhibit-delete-by-moving-to-trash' is just an offer as
> convenience user option, nobody is obliged to use it. There are still
> connection-local variables or `system-move-file-to-trash' for users with
> the need of more fine-grained configuration.

Yes, very nice.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 3 Jan 2023 08:48:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 03 03:48:26 2023
Received: from localhost ([127.0.0.1]:44669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCcyA-0007vx-93
	for submit <at> debbugs.gnu.org; Tue, 03 Jan 2023 03:48:26 -0500
Received: from mout.gmx.net ([212.227.17.21]:57041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pCcy7-0007vW-6d
 for 60460 <at> debbugs.gnu.org; Tue, 03 Jan 2023 03:48:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1672735663; bh=CXOWCN4ZSsBjbkGyyQQ7z9EXkyYzAt+219g8skzcQVg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=moR5fB3MNImiYjs8YKaHzfBSmgpwWjVj8apk6ZkH+rQ9u+a4Mc8DX0HK3FpmbZM7C
 isjxAyTZsopkUgOnvjBGIysfA2yZO176nayygSexzTUbK0U1wYXsrEsmNfhLMUjQNq
 5+bbL4vzyCdYkywdO3gqf8luSLCkVjgwCRTEwkthRoze6/x6F05lv3QoVua4riQ0ej
 vbauc5GRu08eoUWRNuChu4aj/5wtGk9p3gRmb6mWKvlSpbO/YxNXMfBUDlE0kILeoW
 YzrzPhl4Y62xN3kOxir+BjLUggVMxn5zNOxN/8pn6mgw9jw3NRfUm55YfvvIyVHYlM
 jvlGDiuup5XZg==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MKKYx-1pWcoS2f79-00Lleg; Tue, 03
 Jan 2023 09:47:43 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
In-Reply-To: <Y7NAmTMibDcDccdb@HIDDEN> (Jean Louis's message of
 "Mon, 2 Jan 2023 23:37:45 +0300")
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
 <Y7MGN9g/1GR7Nb2f@HIDDEN> <87ilhoeqlf.fsf@HIDDEN>
 <Y7NAmTMibDcDccdb@HIDDEN>
Date: Tue, 03 Jan 2023 09:47:42 +0100
Message-ID: <87bkngdmxd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:YzMtqU8OkTgnie+MBsBVnaiWEuMEgpGMIZN5HMxTWNAaBw0N1oM
 HSCAG9JYFiLB5vwCI++U0YWSEaeFPBS97dn93KEbiWrxxStk5AGYxyNfNhF5TT8YeIj2NwI
 lh7QY1BhirlrvsSuJtgCl043SLbE+O97BlXARh1BPBa4P+5lJg3gPZ1ZIB0Vg1/yM4mfW5v
 QyLiXEpIzJBSsHDi+0x2A==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:5l+1A6t8XkA=;5KzGSoePiw/RryWTu0XLH+sVFHr
 Vvl/svAA/7UfvcKIpaJP/f39f+l5q/XmhI1ZLePEWN3YMfu1y8mes1oLxnYFKjpd3H89vvQmV
 R/Fd4SlE+1uA5zr/0Sr3D2+Lyf+DQvZ6bu5tSvGWQG2aiM+XjnZasZhl8ayi1qB8X79U+4Vi4
 c8ikAd8xzK9AVlEtaryWPFnlyFOsiy0gT9+PkulQJ353RZV+7gdRtwYcY3NG+q9r3Pqvhj9ih
 x5fJCVhaghgfB4qJRA5i6z2SBzv5w0y/qvGdy5VUnz9Bm5cUhsj15rZlew0WfHXyu0Y26UCay
 44QW4g4eU9pSBHkfSP9XcPD8xQEOm8v8m9Metqr5jj+MbcSK6as2TADpjLcRRG6Mp2e14DGGr
 OK3ZjduXEsPMGVe6iHu5YDeccaB6VPas8tjY9olGEkIHvQwQhjtjbMUQt3cR4tef39yc8YHC0
 e3K7cBk9DJPACF01rHkCRPXFzHfS+8/TgdxhhVOpckcGmf8LjbcM4ykp1DpTvV9cML7sDC2ca
 tdcxkuCjvcYbyvjE8HJqj4C71mhvfOd7MJ8OfRot9AJdjo8vB5HygIx6cpiQkSzdxJQjB3fVH
 nXTSYRRwC5a00087FLZ6h7qenrTCLBy0k705zjQoaod5AhW1F4KoDYpDDqrXQOtou2U7L/zz0
 d/jp/BVvGTsS07nXl78uhKxNPMCzSVVrxm8WzdfY/qR8V8wri8Dibf8IWOCxSiQsQ+OQSecio
 /XRkupPSPCRhNfRKVgFpLWluxKsqfn9ffkNSA+RPShcDkIHRo/cYtEiosuRCY1OMhmXynNVe4
 dTwQ/seSgVh1TyLNox4z4IixgMWkPqoVuAbtY2YD/RmnBa6Uz9/0VhK+FoCI/9Z/QGbQazALK
 ixfUEJJCQ5aSTmp3Y0f8TzBtnaE7+Nkdpol0pm2FNOB7afS3HgwealCEtQl2f6+fFNuFfH5CM
 JH1ZVvH8uSzx8/gTefukW+cV6rA=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Jean Louis writes: Hi Jean,
 > Those are decisions of administrator
 and user. Permissions they put on > files is their decision and freedom.
 > > Any file owned by root and moved to user's home directory somewhere in
 > the Trash, [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.21 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.21 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 60460
Cc: ruijie@HIDDEN, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Jean Louis writes: Hi Jean, > Those are decisions of administrator
    and user. Permissions they put on > files is their decision and freedom.
   > > Any file owned by root and moved to user's home directory somewhere in
    > the Trash, [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.21 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.21 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Jean Louis <bugs@HIDDEN> writes:

Hi Jean,

> Those are decisions of administrator and user. Permissions they put on
> files is their decision and freedom.
>
> Any file owned by root and moved to user's home directory somewhere in
> the Trash, will have how I tested it, same permission as in root
> accessible directories. Let us say /etc or /usr and so on, those files
> are anyway either visible by users or some of them in /etc protected
> by permissions. Those are system decisions.
>
> Who has sudo rights is system administrator, not necessarily main, but
> then those people made decisions.
>
> And moving into trash is useful, especially in case of files in /etc
>
> Let administrators decide what they want.
>
> Emacs is high level interface, not low level. On high level there is
> almost nothing to be decided what people decided on low level.
>
> For me is not logical to try to prevent people what they want.
>
> Give them option, but don't try preventing them on that high level to
> do this or that, what they otherwise can do in their system by using
> different file manager.
>
> If I can run other file manager with sudo and move to Trash anywhere
> it is specified, then let it be for Emacs users too, as by trying to
> "secure" something what otherwise was decided on low level, makes no
> sense.
>
> We can't say later "Emacs is more secure as file manager because it
> does not allow you to move files managed with sudo to Trash" --
> because it is not "more secure" as it is high level, not low level.

All true, but there are individual decisions by users. I don't see why
we shall add a special case for sudo (and su, doas, sudoedit, sg, ...) -
all of them identify remote (possibly root owned) files and shall be
handled as such. And then, there are also multi-hop remote file names,
which would need another handling then for sudo and friends.

`remote-file-name-inhibit-delete-by-moving-to-trash' is just an offer as
convenience user option, nobody is obliged to use it. There are still
connection-local variables or `system-move-file-to-trash' for users with
the need of more fine-grained configuration.

> Right now I use my function `system-move-file-to-trash' as recommended
> by function `move-file-to-trash' and that is great option, I like that
> configuration, so I can decide myself what get moved to Trash and what
> not, so I will expand it to recognize sudo paths.

Sigh.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 3 Jan 2023 04:58:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 23:58:37 2023
Received: from localhost ([127.0.0.1]:44475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCZNl-0001ZV-3Z
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 23:58:37 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:49371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1pCZNf-0001ZG-96
 for 60460 <at> debbugs.gnu.org; Mon, 02 Jan 2023 23:58:35 -0500
Received: from localhost ([::ffff:197.239.13.208])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000055D77.0000000063B3B5F9.0000508A; Mon, 02 Jan 2023 21:58:32 -0700
Date: Mon, 2 Jan 2023 23:37:45 +0300
From: Jean Louis <bugs@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
Message-ID: <Y7NAmTMibDcDccdb@HIDDEN>
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
 <Y7MGN9g/1GR7Nb2f@HIDDEN> <87ilhoeqlf.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87ilhoeqlf.fsf@HIDDEN>
User-Agent: Mutt/2.2.9+54 (af2080d) (2022-11-21)
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Michael Albinus <michael.albinus@HIDDEN> [2023-01-02
 21:31]:
 > But there are other attack vectors then. Trash files from root user, >
 located in the user's home directory, could have weak permission [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
X-Debbugs-Envelope-To: 60460
Cc: ruijie@HIDDEN, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

* Michael Albinus <michael.albinus@HIDDEN> [2023-01-02 21:31]:
> But there are other attack vectors then. Trash files from root user,
> located in the user's home directory, could have weak permissions.

Those are decisions of administrator and user. Permissions they put on
files is their decision and freedom. 

Any file owned by root and moved to user's home directory somewhere in
the Trash, will have how I tested it, same permission as in root
accessible directories. Let us say /etc or /usr and so on, those files
are anyway either visible by users or some of them in /etc protected
by permissions. Those are system decisions.

Who has sudo rights is system administrator, not necessarily main, but
then those people made decisions.

And moving into trash is useful, especially in case of files in /etc 

Let administrators decide what they want. 

Emacs is high level interface, not low level. On high level there is
almost nothing to be decided what people decided on low level.

For me is not logical to try to prevent people what they want.

Give them option, but don't try preventing them on that high level to
do this or that, what they otherwise can do in their system by using
different file manager.

If I can run other file manager with sudo and move to Trash anywhere
it is specified, then let it be for Emacs users too, as by trying to
"secure" something what otherwise was decided on low level, makes no
sense.

We can't say later "Emacs is more secure as file manager because it
does not allow you to move files managed with sudo to Trash" --
because it is not "more secure" as it is high level, not low level.

> > Settings in Emacs to delete by moving trash are explicit decisions of
> > user. Same with `sudo'. Administrator gives privilege to `sudoer',
> > and that sudoer may do what he thinks is right and good.
> >
> > I would personally prefer that sudo editing goes in trash.
> 
> You are free to configure respective connection-local variables.

Right now I use my function `system-move-file-to-trash' as recommended
by function `move-file-to-trash' and that is great option, I like that
configuration, so I can decide myself what get moved to Trash and what
not, so I will expand it to recognize sudo paths.

> > Anyway, when editing with sudo I see this file:
> >
> >   lrwxrwxrwx   1 root root       46 Jan  2 19:27 .#at.deny -> admin@HIDDEN
> >
> > which is dangling symlink, do you know about it? Is it bug?
> 
> No, it is a lock file. See (info "(elisp) File Locks")

Alright.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 2 Jan 2023 18:31:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 13:31:37 2023
Received: from localhost ([127.0.0.1]:44040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCPaz-0005R0-BY
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 13:31:37 -0500
Received: from mout.gmx.net ([212.227.15.19]:58037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pCPax-0005Qm-BF
 for 60460 <at> debbugs.gnu.org; Mon, 02 Jan 2023 13:31:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1672684255; bh=f9qY3sMKqrgdxOaB4qh3FtvrCdXEsZyDVJNw4Sh3yCI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=pXJF8VXsSlnVRhqPS+HDZkWRmpCpGtJvpQPtoSuw0LhrA+/tgWhpzngKaDtZhYMYh
 JpzLBQrQv0ljPBzCRrHhWx4rIU48Su7USCEfwPzyI8HsfyereDo/x9IQkqEBmAa6oP
 ILfghLxH22mGwgbA6N+cJxBn+B/xQ31QNoCd83vCgylAxYmLhefxaDKXRzIMhO6GCN
 0CeFROJhfO2kjqM4lNc5olmKcoKeTp6p7/fI4dp8C8iqG5ga9+fMrHr89L/Hq0rO08
 1+5R7LSguKzcEH+XZabFzybfm/viaLc+FlONQZXdcdM1FZM3in8V6osg+ZW5Kmhl67
 jqEqoLOnLfxTw==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N8XPn-1ohWne3Bir-014Sld; Mon, 02
 Jan 2023 19:30:55 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
In-Reply-To: <Y7MGN9g/1GR7Nb2f@HIDDEN> (Jean Louis's message of
 "Mon, 2 Jan 2023 19:28:40 +0300")
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
 <Y7MGN9g/1GR7Nb2f@HIDDEN>
Date: Mon, 02 Jan 2023 19:30:52 +0100
Message-ID: <87ilhoeqlf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:8UUYrVbN94NvH0M3BVz6M7kkg3MfXnQDzi9dUpiuDT25AFEQUgm
 Hq7imOwXROvRLHij3/GKA9X/+jRzCc2m1EweL4DDo704/RkFAt7SNfWWVsSeO5Cdof9q+/0
 45UFkOHkBvuIqL5ELU7JOvijKx1n05umhBoWTTYo3/hy6O8H+x+PvH1FdTIVGoC8SLuh3RO
 5C06vaLnqVtFudaWPT6sw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:ZvvwNYwsboI=;ucky9wVjuhXqWdoDYAD7XvcJmh8
 omJouygUwvnJL005zw4FVJyGo+834+CRDHnfGPQE+Ks0Tq/vpnOIBzwhAU472IG46jdXlOcDc
 EBCeBAur/B3GzpgWXHEsBavEJK+ZspiTqEfPMKe9qFsS6LXUdo/QUY22uNp/MN8rv9sT94yz5
 Agkncmg8Nf1yFp/sZJIOSJeIwHIZUfC19d2Qx1OS4UrheQIuHMpfvC73cYCY7XgR5pf4NVize
 1j0mdTP6qStS4d012Lf+MEKvGyfQtSraF3n2p/CpYFTqggkNiKUJclPMeTDTl+24HnMyp9YQV
 LtPVT9Ziho57s7QeQ5DtXV6mNvt3WFKBPfxvvh48HAJmcNX+KoKSTbwbAmV38ukNxY6FcCqrG
 DYZj9UJBxIKCDjlh6nmVnnd9z4uriI2lsMpv++Q7ZlncQGKKoeaPwkPZgnOjfT6Aj0Uq0+awW
 V77Qscx5AlvdIycmUZNY1DQWBMasqPF5fH2CzsQnoqIkGIcPtfiDNEVdoHeRaNLlmuB7+lMjb
 6jlcvVD0MPYKS+ejnhNejw8rnw5vUsFKK7wIa5DQcKZlZTR038qKRf9MgwidT7wqdwag357Pk
 BOtW6Bw0lzSUAFDXkc9UYlNIU06yS6TFHuHL0J2/8bFNw74f+gbj001FlCfeAkK7opQP9xsij
 hEHTwlzxt3KqxT1eougqNPpPGp/mR8JkdqHpOSglMmiSrRqJu+9PY784uOjLYUybCZyryLjPp
 cvUPz4MFQqGnfPYKhJnDWWXv9SEAF6J6fj/Ra+xoURO7GHx2LLHitgpXXeIDnL2qkvCdcrqO3
 6V8zS9UXPwSxzvAFNPpI+4xFw2rmy7CT1ZQrk28PcKiXoHXa7nk7mxFQTX53qqOk1CrmwrTtp
 shCbWZQghzSsfgwGDmYjmmeKmAhwLnXD09JVsVQnVLwN5XKn7fL1P9KDulCtNt8sbtBpewn32
 CCuyzA==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Jean Louis writes: Hi Jean, >> >> Alternatively, we could
 add a new user option >> >>
 `remote-file-name-inhibit-delete-by-moving-to-trash'
 (*), >> > >> > That sounds good. >> > >> > But what is remote? Is /sudo::
 also remote? Us [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.19 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 60460
Cc: ruijie@HIDDEN, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Jean Louis writes: Hi Jean, >> >> Alternatively, we could
   add a new user option >> >> `remote-file-name-inhibit-delete-by-moving-to-trash'
    (*), >> > >> > That sounds good. >> > >> > But what is remote? Is /sudo::
    also remote? Us [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.19 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Jean Louis <bugs@HIDDEN> writes:

Hi Jean,

>> >> Alternatively, we could add a new user option
>> >> `remote-file-name-inhibit-delete-by-moving-to-trash' (*),
>> >
>> > That sounds good.
>> >
>> > But what is remote? Is /sudo:: also remote? User may want to have
>> > access to sudo and move those files to Trash as well.
>>
>> "/sudo::" is also remote. And yes, it shouldn't go either to the user's
>> trash directory (if configured so), it could be a security problem.
>
> Beyond this discussion, I don't see security problem. When somebody
> has sudo rights, then that person can transfer files anywhere that
> person wants.

But there are other attack vectors then. Trash files from root user,
located in the user's home directory, could have weak permissions.

> Settings in Emacs to delete by moving trash are explicit decisions of
> user. Same with `sudo'. Administrator gives privilege to `sudoer',
> and that sudoer may do what he thinks is right and good.
>
> I would personally prefer that sudo editing goes in trash.

You are free to configure respective connection-local variables.

> Anyway, when editing with sudo I see this file:
>
>   lrwxrwxrwx   1 root root       46 Jan  2 19:27 .#at.deny -> admin@prot=
ected.1904257840789327597
>
> which is dangling symlink, do you know about it? Is it bug?

No, it is a lock file. See (info "(elisp) File Locks")

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 2 Jan 2023 16:39:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 11:39:20 2023
Received: from localhost ([127.0.0.1]:43894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCNqJ-0000Aj-Ic
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 11:39:19 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:56565)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1pCNqF-0000AV-6g
 for 60460 <at> debbugs.gnu.org; Mon, 02 Jan 2023 11:39:18 -0500
Received: from localhost ([::ffff:197.239.35.172])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000055D55.0000000063B308B2.0000116F; Mon, 02 Jan 2023 09:39:13 -0700
Date: Mon, 2 Jan 2023 19:28:40 +0300
From: Jean Louis <bugs@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
Message-ID: <Y7MGN9g/1GR7Nb2f@HIDDEN>
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN> <87mt71dxhf.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87mt71dxhf.fsf@HIDDEN>
User-Agent: Mutt/2.2.9+54 (af2080d) (2022-11-21)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60460
Cc: ruijie@HIDDEN, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Michael Albinus <michael.albinus@HIDDEN> [2023-01-02 13:48]:
> Jean Louis <bugs@HIDDEN> writes:
> 
> Hi Jean,
> 
> >> Alternatively, we could add a new user option
> >> `remote-file-name-inhibit-delete-by-moving-to-trash' (*),
> >
> > That sounds good.
> >
> > But what is remote? Is /sudo:: also remote? User may want to have
> > access to sudo and move those files to Trash as well.
> 
> "/sudo::" is also remote. And yes, it shouldn't go either to the user's
> trash directory (if configured so), it could be a security problem.

Beyond this discussion, I don't see security problem. When somebody
has sudo rights, then that person can transfer files anywhere that
person wants.

Settings in Emacs to delete by moving trash are explicit decisions of
user. Same with `sudo'. Administrator gives privilege to `sudoer',
and that sudoer may do what he thinks is right and good.

I would personally prefer that sudo editing goes in trash.

Anyway, when editing with sudo I see this file:

  lrwxrwxrwx   1 root root       46 Jan  2 19:27 .#at.deny -> admin@HIDDEN

which is dangling symlink, do you know about it? Is it bug?

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 2 Jan 2023 10:48:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 05:48:09 2023
Received: from localhost ([127.0.0.1]:42563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCIMT-0002N3-05
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 05:48:09 -0500
Received: from mout.gmx.net ([212.227.17.22]:60173)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pCIMQ-0002Lu-IA
 for 60460 <at> debbugs.gnu.org; Mon, 02 Jan 2023 05:48:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1672656447; bh=AE9/+MUSOFNxQEzLXY6W76SPoVtl3H7Ww/0ULOgMmLM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=nv8jgLtFNBGfT+76W/0H8EgHeWmEWWInw8IX/Lsv+Wgl14YLvCfwWkMgF7GpCpjFP
 M+zDFjUPgDO7quRMCeULI3DDz1W5HUn6C9s8uDJvJjoJ9Ge1AGjUhyFRASJeM/qSvH
 iIQ4OaqEOxJYSWGAhGWxYtj4Dq9LF88RHyTk5M/kAWde3WW04TFwDCYwYDWJFPMRwf
 HO29EQvns3jb7d27q309vOzyHb7JDsJ/DIsmFP3W2RobAJI2kePafpqE9nGwA47pfs
 kvo2HruZnU1A8dXegSn3o3o/c34vVMEUKdwMPMPo/zTIw8DxOTYtofIGDJ46ZmbDNV
 FxJNRx7olly9w==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N2V0B-1oop2O1uwB-013yVM; Mon, 02
 Jan 2023 11:47:27 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
In-Reply-To: <Y7KzXr3rHB241iqc@HIDDEN> (Jean Louis's message of
 "Mon, 2 Jan 2023 13:35:10 +0300")
References: <sdv4jtb8rcn.fsf@HIDDEN> <87358tfglk.fsf@HIDDEN>
 <Y7KzXr3rHB241iqc@HIDDEN>
Date: Mon, 02 Jan 2023 11:47:24 +0100
Message-ID: <87mt71dxhf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:BdU1IZfRiTeEJTf7fcJ2GxSom2y7lVZsYXACYg1SidOEwbJPe8s
 3qb7mI8Eiune4+I/tJeoNZYCYXDkSf+eF8wwVMADcaw82VCT4bQWcZm5/EygOgUnTsaZtGg
 CGzFbZKIsNRRmXMMt+Y/AM+Kpq20KUvdENQKSsE3CKZZREY2NVxdiEoBT2kjo3Z6iPDs7Oh
 5k4XIGLH80sL7AMhL3KFw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:+/lVv/OKLfI=;za2H+qQ2fJhJgZEpt/a48Fsk+jD
 UCKVMAN18pff3ra+TuAR+2yoz7YuE0ExGbWmoXQHUdLiUzn0TlX1vMeRx0M4q51OTTyTDniYn
 o3lPzO/pkWhCGMVBtbv9HD9gPHrkBYonDVr68qchERanisKP/1NrkZadRCHzcBB2WFNsZNWRU
 iOBDxn8Jl92HbvB9kWMqy8eZ82cwqWgkEwGrNNTy1Er6KUJOzIyN8d01MMe5nSyOkH8uv8nQk
 N7J/DVbVt1XE+z0Kdbu5uyIfxDlAdWPzV8BA1NUfcktklcVzGYQyFLeLTDQwFaqotve97vgtj
 W8mVmmM+orstczMQ4d6W10J8SsRYC7GBwKOAHJIFh6XUd5SP1WKNlhJnUlKHhgaR8+WmLtjdK
 pHEeun0ADLavvbEYM5Ss8WYaXSHUBhL7UlLuKX0/RnsdD31X+iQZK82yNZ4SYrII9s5t7mNix
 Zpfg4frLdtOajPOgi/PD8I4Z8I2hPAsCMt1Xj8bL7STPZ/iy5VfVFZza9w+BsekZux+EWSO+F
 KtvwQijgGIYfNadKCSQgoiICTOJKiEiDdtJIFDo6SKeOAZIb/v1ZhntyrsUgRxcAVq225iX0d
 C/bwPv43Az6iRDmEAqIgSZZJ3uY7kFSvToFILYWMdIy3CMgUFiudzr8FOwTHknRGMVqrzM1hZ
 +OdxNV4reR+bfjfBlfev+iB+QyEE7EKoxnzx5sBFv0BDP4KAzfOiy9Ixj3XKgSypT0HoD5IYl
 PAU2M99VnpX/EOJEA6y/b+gGC/+U6KRUZIu+i+q/wecn61JycEj44/G3bM6+WbnIjrNMfWina
 /WTc9AqIhw08Aq4sv01g0YMOwUWBGUAcNvatrBz2ateplq6yjf2RlPbQEnOLBGqZLQO8h5YzE
 VomqwbOfFTYoHZQHFcQcOHzXQEN3KTgd86PNFvzSkcoR7bcCG8a6bx9etdAJQDdJZ4tzwW/hQ
 8lxVJg==
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Jean Louis writes: Hi Jean, >> Alternatively, we could add
 a new user option >> `remote-file-name-inhibit-delete-by-moving-to-trash'
 (*), > > That sounds good. > > But what is remote? Is /sudo:: also remote?
 User may want to hav [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.22 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.22 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 60460
Cc: ruijie@HIDDEN, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Jean Louis writes: Hi Jean, >> Alternatively, we could add
    a new user option >> `remote-file-name-inhibit-delete-by-moving-to-trash'
    (*), > > That sounds good. > > But what is remote? Is /sudo:: also remote?
    User may want to hav [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.22 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.22 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Jean Louis <bugs@HIDDEN> writes:

Hi Jean,

>> Alternatively, we could add a new user option
>> `remote-file-name-inhibit-delete-by-moving-to-trash' (*),
>
> That sounds good.
>
> But what is remote? Is /sudo:: also remote? User may want to have
> access to sudo and move those files to Trash as well.

"/sudo::" is also remote. And yes, it shouldn't go either to the user's
trash directory (if configured so), it could be a security problem.

> Jean

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 2 Jan 2023 10:40:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 05:40:34 2023
Received: from localhost ([127.0.0.1]:42556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCIF8-00028s-2B
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 05:40:34 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:41433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1pCIF5-00028i-Hh
 for 60460 <at> debbugs.gnu.org; Mon, 02 Jan 2023 05:40:32 -0500
Received: from localhost ([::ffff:102.85.231.176])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000055D56.0000000063B2B49F.00007A1C; Mon, 02 Jan 2023 03:40:31 -0700
Date: Mon, 2 Jan 2023 13:35:10 +0300
From: Jean Louis <bugs@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
Message-ID: <Y7KzXr3rHB241iqc@HIDDEN>
References: <sdv4jtb8rcn.fsf@HIDDEN>
 <87358tfglk.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87358tfglk.fsf@HIDDEN>
User-Agent: Mutt/2.2.9+54 (af2080d) (2022-11-21)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60460
Cc: ruijie@HIDDEN, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Michael Albinus <michael.albinus@HIDDEN> [2023-01-02 12:11]:
> We could use connection-local variables for achieving this effect. Just
> set `delete-by-moving-to-trash' to nil by this mechanism.

I guess the above option is not an option for people using
`delete-by-moving-to-trash'.

> Alternatively, we could add a new user option
> `remote-file-name-inhibit-delete-by-moving-to-trash' (*),

That sounds good.

But what is remote? Is /sudo:: also remote? User may want to have
access to sudo and move those files to Trash as well.

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 2 Jan 2023 09:17:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 04:17:04 2023
Received: from localhost ([127.0.0.1]:42489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCGwJ-0008SS-TT
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 04:17:04 -0500
Received: from mout.gmx.net ([212.227.17.22]:55503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>)
 id 1pCGwH-0008Rp-D0; Mon, 02 Jan 2023 04:17:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1672651011; bh=Mimd/eKvre64zs0rNlBRoMnHUBw7sx5i+W00M2gxF14=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=WCwez9hjIdlARNgiwlhGptVCvRRHVCnFlaXq/aCf6bKrMm3aEP3U4q+qaVAU59iV+
 3x0MkJCTSuxHJ/P8xIMv1+Z99fzWRYu0kQYJ6kqOd1epXubqrwLci264MF0NYLiLA+
 ntOatj/x7ReGVJBfMM73+xc8iPDbjgyBBY3Qdp9c8pZeDnVpe5ys87hpV4fGyOwdm5
 oPrOxRmDX+8ulW6tYW7RqL8o0RcgG07ia0wrsid60B8cJTosYRkAKz2IfvqeN+uhki
 S0FtMhkTVaRfbTwHtgnhTnUKnfG3IDQ5OBh1d3HaSp056/s5MaXNKHr3SRghPAlqg0
 A6d93dSjkNb5A==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MtwYu-1oxuz11Fdc-00uHvU; Mon, 02
 Jan 2023 10:16:51 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Ruijie Yu <ruijie@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
In-Reply-To: <handler.60462.D60462.16726054692608.notifdone <at> debbugs.gnu.org>
 (GNU bug Tracking System's message of "Sun, 01 Jan 2023 20:38:05
 +0000")
References: <sdvzgb272l0.fsf@HIDDEN> <sdv4jtb8cw6.fsf@HIDDEN>
 <handler.60462.D60462.16726054692608.notifdone <at> debbugs.gnu.org>
Date: Mon, 02 Jan 2023 10:16:48 +0100
Message-ID: <87r0wde1of.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ZAa6vn/D5G175YehqVwn4PGLgFUxOchy0CzhdZIf9CmiXFVKiw7
 ov4EbVqU4s1ReybOQUNkSXvpcATLaEQ7+6+iQBlN8tXi7YNbTYlmKqPocGzBRv+kI47dpjF
 0eAZjSN3ZvYhB/b4GSO1iQWd//vmrbEudvL8schaXvHfV1owVKVJqElXf95ndpMywHqtelC
 JZY+4Emwjo3ZKEL9JJlUA==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:X5TLWjQOwfM=;FYn4jNK1WTHDi4HgeYHiYkoiklI
 AMZmMpT4dNM2khyx0gsO0sKGl00fIK8DhAPuKhEXdvmNd2sMzhsuGV7KwyULXSU2zX8PK1cYR
 eNKB2tHB2yZ9mwFl2ZeXLe8DHxbQBoCZCVhGvcNla103qJHfsVyBcllIFCLOroKcIwyj0dfIi
 xXTnRaadd9tokSPQeAmh74rduWr3zE4e41QQohrMh6bIGubIJtxY++rZ8gVAyJiQ5plbZ6hD9
 ntZkoSTJI118R/+tYRNymnW6BxCDvv0Mm1LDpEeUyTkQfjEF3sISN7FVZPGvuPRQR2ANSAuZE
 7BO2ff9J/NChHvTzurYRbcWUADkSECf22LuizqUL9nvp8i87k3b8LND4/kGgScchTfwH4a01U
 kL3GB9NHGW+8SLeArwDyJJyfnV0pREZSXX1uHzHbUVAxiWWCbi+IMD+3V267HjbkhOxUgzdOY
 gBLn9rWH/mS3Di5nsAvin4d3wUdYu8yBWSFE2/1XuLMgYMVMoWRmTejeV3eVYHlYc9pBBpTJT
 pll12nRB9SBvySioVzrKmK2MgKGGUiCm4yTL6Fwg0AORD1A50b3z3mOkPzaRGZPCyaVdMVPSL
 OYUcG7c62W4n23X3udQvMr76XU+/4tMIX1ihPq5wXqt5g8XKdbkuBIwzVE39j/1dgewsQrlby
 rYZ1ygldc5ToGTtZGdaK3up7rGhwub2l61K6Wzxa/vLC9I2QN/RqBRFIqIYjoiGouurykVzi6
 Dn+JRDPyCxDLejSpDH2aW1fkao4wvRnVtrPtQpffAYdovjo7PNJZ01mtqxKYRthzG9zm17jwz
 H/KF3fSLWH2CDIUsBHsXYpN0tZfXSr8Qsfss7R5ztlF16j2OfTDP4oQQoP/Y/7WEKLiKSd7yb
 Tr0wN4/1uKTx5/sclYQVC1FzGGp/N6uDg21lKuYUzcNbU6yATN7Agq9+IBm3UHT7ugWckdk1I
 SojhKJXvp0BY1+ytnBrWGEeFDV8=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, > Sorry about the duplicated bug. I sent the first email
 two days ago and > the mail never showed up, so I figured I had forgotten
 to send it and > sent again. The bug mailing list is moderated, and since
 you were unknown to the tracker, your report(s) were waiting for moderator
 approval. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.22 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.22 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 60460
Cc: 60462 <at> debbugs.gnu.org, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, > Sorry about the duplicated bug. I sent the first email
    two days ago and > the mail never showed up, so I figured I had forgotten
    to send it and > sent again. The bug mailing list is moderated, and since
    you were unknown to the tracker, your report(s) were waiting for moderator
    approval. 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.22 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.22 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hi,

> Sorry about the duplicated bug.  I sent the first email two days ago and
> the mail never showed up, so I figured I had forgotten to send it and
> sent again.

The bug mailing list is moderated, and since you were unknown to the
tracker, your report(s) were waiting for moderator approval.

> The bug-tracker doc doesn't say whether the bug-opener (me) can close
> the bug, so I'll try to close it via CC.  If I cannot close the bug, can
> someone who can close bugs close this?
>
> Closing in favor of bug#60460.

Yesterday, I've merged both bugs. Closing one bug by you has closed all
merged bugs. I've reopened them.

> Best,
>
> RY

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 2 Jan 2023 09:09:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 04:09:22 2023
Received: from localhost ([127.0.0.1]:42475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCGos-0005w5-5d
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 04:09:22 -0500
Received: from mout.gmx.net ([212.227.15.19]:34835)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pCGoo-0005vl-97
 for 60460 <at> debbugs.gnu.org; Mon, 02 Jan 2023 04:09:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1672650552; bh=2LCBLJiBJqE+NJrrfOjg6ha2SAoPKWiRGyS2SlSouQk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=GeGI39IhDV3/yWQUTy/+yJ+9srL/9OP5hMRAofKhKSFtEZj+okSvMFMMwlmILGViC
 xubX5gomMDMLyP72Mo7HDZlzk91kKVYFo8PMxx4Va2yRxWtHVAgC44ZPPXyE3U9ucR
 9pwi5rTuv+6xmiHR6D2SVrTdEHNsprb2UUOVEdwcCZav1YfEwhkhtyvY8+LR/cubfC
 7fvB+9P/yx40UgpGUwyVZq+WXCm8ZTtSU7WRn6j4l9ZWN4oOx9/HvrpBP/suwDK/Nw
 2j8A83qeval1xsB/evxuqAwHPCAKu9wVsEURolpUZ0LZ7BHdQKQWemOKhQzlYl9Ler
 AgY5XNISQ/CGQ==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mzhj9-1oqSbZ0BAv-00vcyJ; Mon, 02
 Jan 2023 10:09:12 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
In-Reply-To: <sdv4jtb8rcn.fsf@HIDDEN> (Ruijie Yu via's message of "Sat, 31
 Dec 2022 10:34:16 -0600")
References: <sdv4jtb8rcn.fsf@HIDDEN>
Date: Mon, 02 Jan 2023 10:09:11 +0100
Message-ID: <87358tfglk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:yTi8BUZKFcdIhDI5LIsAXyqCWnCrfPX/UY1wxVGRTxNaj4uT+TP
 lJ8oz7TE5kLi+DbUrh71b4uiuG9A21lb+9h3c3IFbvLE9QHbU5rHS+cDOks4nePUm4bAF/l
 03E8tWSmjq/QWNFd0jRJ2yBxIqVxF5k7AK5qEUsh+n9hfo2EebefmRCsoGZPwsJwllyYfis
 XSSoWq336eaHcq0GnhUnQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:Dx1QALoe9M4=;fY3qA0wNmMXciDZQd+rJ7ivFc+U
 v0y8ZFElKFDdHNH4GozsmRlTGwbGs/59aUe9MIIXLuYDjfWYf98sBNGMk46oQj3ywkaQKHUNE
 VNJ2nBswQG3t4V3Y/JzwOk/njXDTSuFinLjYofZb0zUFsGbhcr+/dZEKZcZDvVMVrYGzcT6cD
 54t0SpLSpQ/URBZQlMtMepDJtAQfmCnQarpP2Xj2ivNUTR1fvuvttMYXpOiWliTxnVwwPuI5+
 p5k4KpS0yyYHbgfDg7xeVa1IhEdK9uH6ut47pPWWxMqzsTGM8u3zXT1f7XmjIB6sRS05pP18T
 AE7HiR5NuKVvhtv8X/QO+WgJwDNiEO6lD0PpAZp97Rj3/gTIS2+vP9u28jwsyptI5TZKWjN2Q
 S2m9tds5CR+BqbOhLpRYgbuLVRAFpHpjFfZ83Rm/+lkzQKJ8WJj+Ipf26o0dN28K5LJjOSgRd
 MhZyA+9rySFgPag5bM94BO0LKPGZjI5bEesLagBCQxBy9uwkJO+Sa12tqzm1AcVad9GsQ/CFS
 75gNwMCuCJs47T1TyrKoGOBgWn6ye3FLn6R5JAMsEFVzSLNt2X2arPex5coIBkQSdYutq3u2p
 c27msu80qRxH9RDzzsNxWrbSCmphCjsEYyqFlwwN397ldTR2d1CMke9k1QdK9uHpN9a8BFDkJ
 zLdWdAhglt7elLAIaplwgNVeYzWtlDPMxoq09TRP9sPTfflw2cBAxUjMjWKsCzBLxcTWBdftz
 EVfIys3fuWybhsv62aSBo8QWAHTy2RqeJ70X/ZAUe6KNdgW12mskwa4yIPqDDptV17z9ntMUq
 w6UkuKxqqrbiOKWOkfG5vWottVESU1rsbDyI0q0MSe/h9IAsCF/u0ZX6FdfuyHHLOnA2ABFoV
 7fydT0peWAu1QtJiJC7HShVwRxyri18fNUcRAeLc9Lj63PwTfsgPa/yHDIS51FAJTC18NZkqX
 QOITWR3HsE4mBA+bkKWmrdX2PoY=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Ruijie Yu via "Bug reports for GNU Emacs,
 the Swiss army knife of text editors" writes: > Hello, Hi, 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.19 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 60460
Cc: Ruijie Yu <ruijie@HIDDEN>, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife
    of text editors" writes: > Hello, Hi, 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.19 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> Hello,

Hi,

> I have been organizing my files lately over multiple devices using
> tramp.  One issue I find with my current setup is that since I set
> `delete-by-moving-to-trash' to t, all files, even the remote ones, are
> moved to my trash directory.
>
> This, unfortunately, harms my workflow because the files I wanted to
> delete include some random multi-gig files, as well as many .git
> directories, both of which greatly bottleneck my file-deletion process.
> I also don't want to disable trashing globally, because I think putting
> local files to trash (which do not introduce a significant delay) is
> still a good idea.
>
> In response to this, I want to propose a change to the logic under which
> trashing is performed rather than deletion.  However, I am not sure
> which one of my following two ideas is more appropriate.
>
> 1. Allow the user to disable "moving to local trash" only for remote
> files.  I imagine this would entail allowing the user to set
> `delete-by-moving-to-trash' to 'local, and modifying `delete-file',
> `delete-directory', `dired-internal-do-deletions' among other functions
> accordingly.  Alternatively we can have a dedicated variable for this
> purpose.
>
> In this case, if `delete-by-moving-to-trash' is set to 'local, whenever
> a user deletes a remote file such as "/sudo::/etc/os-release", it is
> simply deleted as if via "/sudo:://bin/rm", whereas when the user
> deletes a local file ".bashrc", it is moved to trash as normal.

We could use connection-local variables for achieving this effect. Just
set `delete-by-moving-to-trash' to nil by this mechanism.

Alternatively, we could add a new user option
`remote-file-name-inhibit-delete-by-moving-to-trash' (*), which would
force deletion when set to t. We have similar user options already for
other purposes, like `remote-file-name-inhibit-cache',
`remote-file-name-inhibit-locks' and
`remote-file-name-inhibit-auto-save-visited'.

(*): I'm open for another, shorter name.

> Best,
>
> RY

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2023 09:09:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 04:09:31 2023
Received: from localhost ([127.0.0.1]:42478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCGp0-0005wW-KC
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 04:09:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:60364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pCGoy-0005wL-Bv
 for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 04:09:29 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1pCGow-0001Kd-Jk
 for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2023 04:09:26 -0500
Received: from mout.gmx.net ([212.227.15.19])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.albinus@HIDDEN>)
 id 1pCGos-0002i6-Km
 for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2023 04:09:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1672650552; bh=2LCBLJiBJqE+NJrrfOjg6ha2SAoPKWiRGyS2SlSouQk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=GeGI39IhDV3/yWQUTy/+yJ+9srL/9OP5hMRAofKhKSFtEZj+okSvMFMMwlmILGViC
 xubX5gomMDMLyP72Mo7HDZlzk91kKVYFo8PMxx4Va2yRxWtHVAgC44ZPPXyE3U9ucR
 9pwi5rTuv+6xmiHR6D2SVrTdEHNsprb2UUOVEdwcCZav1YfEwhkhtyvY8+LR/cubfC
 7fvB+9P/yx40UgpGUwyVZq+WXCm8ZTtSU7WRn6j4l9ZWN4oOx9/HvrpBP/suwDK/Nw
 2j8A83qeval1xsB/evxuqAwHPCAKu9wVsEURolpUZ0LZ7BHdQKQWemOKhQzlYl9Ler
 AgY5XNISQ/CGQ==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mzhj9-1oqSbZ0BAv-00vcyJ; Mon, 02
 Jan 2023 10:09:12 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
In-Reply-To: <sdv4jtb8rcn.fsf@HIDDEN> (Ruijie Yu via's message of "Sat, 31
 Dec 2022 10:34:16 -0600")
References: <sdv4jtb8rcn.fsf@HIDDEN>
Date: Mon, 02 Jan 2023 10:09:11 +0100
Message-ID: <87358tfglk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:yTi8BUZKFcdIhDI5LIsAXyqCWnCrfPX/UY1wxVGRTxNaj4uT+TP
 lJ8oz7TE5kLi+DbUrh71b4uiuG9A21lb+9h3c3IFbvLE9QHbU5rHS+cDOks4nePUm4bAF/l
 03E8tWSmjq/QWNFd0jRJ2yBxIqVxF5k7AK5qEUsh+n9hfo2EebefmRCsoGZPwsJwllyYfis
 XSSoWq336eaHcq0GnhUnQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:Dx1QALoe9M4=;fY3qA0wNmMXciDZQd+rJ7ivFc+U
 v0y8ZFElKFDdHNH4GozsmRlTGwbGs/59aUe9MIIXLuYDjfWYf98sBNGMk46oQj3ywkaQKHUNE
 VNJ2nBswQG3t4V3Y/JzwOk/njXDTSuFinLjYofZb0zUFsGbhcr+/dZEKZcZDvVMVrYGzcT6cD
 54t0SpLSpQ/URBZQlMtMepDJtAQfmCnQarpP2Xj2ivNUTR1fvuvttMYXpOiWliTxnVwwPuI5+
 p5k4KpS0yyYHbgfDg7xeVa1IhEdK9uH6ut47pPWWxMqzsTGM8u3zXT1f7XmjIB6sRS05pP18T
 AE7HiR5NuKVvhtv8X/QO+WgJwDNiEO6lD0PpAZp97Rj3/gTIS2+vP9u28jwsyptI5TZKWjN2Q
 S2m9tds5CR+BqbOhLpRYgbuLVRAFpHpjFfZ83Rm/+lkzQKJ8WJj+Ipf26o0dN28K5LJjOSgRd
 MhZyA+9rySFgPag5bM94BO0LKPGZjI5bEesLagBCQxBy9uwkJO+Sa12tqzm1AcVad9GsQ/CFS
 75gNwMCuCJs47T1TyrKoGOBgWn6ye3FLn6R5JAMsEFVzSLNt2X2arPex5coIBkQSdYutq3u2p
 c27msu80qRxH9RDzzsNxWrbSCmphCjsEYyqFlwwN397ldTR2d1CMke9k1QdK9uHpN9a8BFDkJ
 zLdWdAhglt7elLAIaplwgNVeYzWtlDPMxoq09TRP9sPTfflw2cBAxUjMjWKsCzBLxcTWBdftz
 EVfIys3fuWybhsv62aSBo8QWAHTy2RqeJ70X/ZAUe6KNdgW12mskwa4yIPqDDptV17z9ntMUq
 w6UkuKxqqrbiOKWOkfG5vWottVESU1rsbDyI0q0MSe/h9IAsCF/u0ZX6FdfuyHHLOnA2ABFoV
 7fydT0peWAu1QtJiJC7HShVwRxyri18fNUcRAeLc9Lj63PwTfsgPa/yHDIS51FAJTC18NZkqX
 QOITWR3HsE4mBA+bkKWmrdX2PoY=
Received-SPF: pass client-ip=212.227.15.19;
 envelope-from=michael.albinus@HIDDEN; helo=mout.gmx.net
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_SBL_CSS=3.335, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Ruijie Yu via "Bug reports for GNU Emacs,
 the Swiss army knife of text editors" writes: > Hello, Hi, 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.17 listed in wl.mailspike.net]
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=michael.albinus%40gmx.de; ip=209.51.188.17; r=debbugs.gnu.org]
X-Debbugs-Envelope-To: submit
Cc: Ruijie Yu <ruijie@HIDDEN>, 60460 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife
    of text editors" writes: > Hello, Hi, 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.51.188.17 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=michael.albinus%40gmx.de;ip=209.51.188.17;r=debbugs.gnu.org]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> Hello,

Hi,

> I have been organizing my files lately over multiple devices using
> tramp.  One issue I find with my current setup is that since I set
> `delete-by-moving-to-trash' to t, all files, even the remote ones, are
> moved to my trash directory.
>
> This, unfortunately, harms my workflow because the files I wanted to
> delete include some random multi-gig files, as well as many .git
> directories, both of which greatly bottleneck my file-deletion process.
> I also don't want to disable trashing globally, because I think putting
> local files to trash (which do not introduce a significant delay) is
> still a good idea.
>
> In response to this, I want to propose a change to the logic under which
> trashing is performed rather than deletion.  However, I am not sure
> which one of my following two ideas is more appropriate.
>
> 1. Allow the user to disable "moving to local trash" only for remote
> files.  I imagine this would entail allowing the user to set
> `delete-by-moving-to-trash' to 'local, and modifying `delete-file',
> `delete-directory', `dired-internal-do-deletions' among other functions
> accordingly.  Alternatively we can have a dedicated variable for this
> purpose.
>
> In this case, if `delete-by-moving-to-trash' is set to 'local, whenever
> a user deletes a remote file such as "/sudo::/etc/os-release", it is
> simply deleted as if via "/sudo:://bin/rm", whereas when the user
> deletes a local file ".bashrc", it is moved to trash as normal.

We could use connection-local variables for achieving this effect. Just
set `delete-by-moving-to-trash' to nil by this mechanism.

Alternatively, we could add a new user option
`remote-file-name-inhibit-delete-by-moving-to-trash' (*), which would
force deletion when set to t. We have similar user options already for
other purposes, like `remote-file-name-inhibit-cache',
`remote-file-name-inhibit-locks' and
`remote-file-name-inhibit-auto-save-visited'.

(*): I'm open for another, shorter name.

> Best,
>
> RY

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 2 Jan 2023 03:41:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 01 22:41:16 2023
Received: from localhost ([127.0.0.1]:42193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCBhL-0003JH-Th
	for submit <at> debbugs.gnu.org; Sun, 01 Jan 2023 22:41:16 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:46443)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1pCBhJ-0003J9-TH
 for 60460 <at> debbugs.gnu.org; Sun, 01 Jan 2023 22:41:14 -0500
Received: from localhost ([::ffff:102.85.231.176])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000055D61.0000000063B2525A.00005873; Sun, 01 Jan 2023 20:41:13 -0700
Date: Mon, 2 Jan 2023 06:40:44 +0300
From: Jean Louis <bugs@HIDDEN>
To: Ruijie Yu <ruijie@HIDDEN>
Subject: Re: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash
Message-ID: <Y7JSPBgq9zTtCjD+@protected.localdomain>
References: <sdv4jtb8rcn.fsf@HIDDEN>
 <SJ0PR10MB54885DF2AD2368D5588D8F44F3F69@HIDDEN>
 <sdvmt726v9j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <sdvmt726v9j.fsf@HIDDEN>
User-Agent: Mutt/2.2.9+54 (af2080d) (2022-11-21)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60460
Cc: Drew Adams <drew.adams@HIDDEN>,
 "60460 <at> debbugs.gnu.org" <60460 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of text editors <bug-gnu-emacs@HIDDEN> [2023-01-01 23:39]:
> Similar to what we have for "recentf.el" today, we can have two
> variables `delete-by-moving-to-trash-include' and
> `delete-by-moving-to-trash-exclude', and make
> `delete-by-moving-to-trash' a deprecated alias to
> `delete-by-moving-to-trash-include'.  In this case, we can have the
> following logic:

It is better keeping the variable `delete-by-moving-to-trash' as it
is, and then just add different options:

- If TRUE move all files to trash
- If NIL, don't use trash
- If 'local-only move only local files to trash
- If FUNCTION filter files by FUNCTION 

I have not seen you closed the other bug, and that this one is active
when I was answering first time, so here I repeat it:

* Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of text editors
<bug-gnu-emacs@HIDDEN> [2023-01-01 11:37]:
> I have been organizing my files lately over multiple devices using
> tramp.  One issue I find with my current setup is that since I set
> `delete-by-moving-to-trash' to t, all files, even the remote ones, are
> moved to my trash directory.

Which does not make sense, and which should be user option.

Look at this bug report:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56511

Where Lars said:

> As the doc string of move-file-to-trash says:

> If the function `system-move-file-to-trash' is defined, call it
>  with FILENAME as an argument.

> So just define a function that checks whether FILENAME is a Tramp
> file name or not, and delete the file if it is, but trash otherwise.

IMHO, in my opinion there will be always more users that know how to
use M-x customize, but not know how to define functions.

I don't think that decision to delete remote files to trash is user
friendly in the first place, and that people using M-x customize are
supposed to even understand "only when the function
`system-move-file-to-trash' is not defined". Defined by who? What
would that mean for somebody who is not Emacs Lisp programmer?!
Probably nothing. User remains helpless here.

Hide Trash Directory: Choice: Value Menu Directory: /home/data1/protected/tmp/Wastebasket/
    State : SAVED and set.
   Directory for ‘move-file-to-trash’ to move files and directories to. Hide
   This directory is used only when the function ‘system-move-file-to-trash’
   is not defined.
   Relative paths are interpreted relative to ‘default-directory’.
   If the value is nil, Emacs uses a freedesktop.org-style trashcan.

I have define my `system-move-file-to-trash' as following, so the
problem is solved individually.

(defun system-move-file-to-trash (filename)
  "Delete only local files.

This is custom local function as recommended by
`move-file-to-trash'."
  (cond ((file-remote-p filename)
         (delete-file filename))
        ((and trash-directory
              (not (string-prefix-p
                    (directory-file-name
                    (file-name-nondirectory
                     (expand-file-name filename)))
                    trash-directory)))
         (make-directory (file-name-as-directory trash-directory) t)
         (rename-file filename (file-name-as-directory trash-directory) t))
        (t (when (y-or-n-p (format "Delete `%s'? "))
             (delete-file filename)))))

However, as you have found out, and I have found out, this problem is
likely to be discovered over and over again by new Tramp users who
wish to use Wastebasket.

> This, unfortunately, harms my workflow because the files I wanted to
> delete include some random multi-gig files, as well as many .git
> directories, both of which greatly bottleneck my file-deletion process.
> I also don't want to disable trashing globally, because I think putting
> local files to trash (which do not introduce a significant delay) is
> still a good idea.

That is how I work as well.

> 1. Allow the user to disable "moving to local trash" only for remote
> files.  I imagine this would entail allowing the user to set
> `delete-by-moving-to-trash' to 'local, and modifying `delete-file',
> `delete-directory', `dired-internal-do-deletions' among other functions
> accordingly.  Alternatively we can have a dedicated variable for this
> purpose.

Good ideas, I wish it could be adopted to become user friendly, one
mouse click and customization and user can be sure that remote files
will not be moved to local Trash.

However we have to think that some users may be using only remote
files and that Trash could eventually be remote as well, right?

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 1 Jan 2023 20:37:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 01 15:37:51 2023
Received: from localhost ([127.0.0.1]:41851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pC55b-0000gG-6T
	for submit <at> debbugs.gnu.org; Sun, 01 Jan 2023 15:37:51 -0500
Received: from netyu.xyz ([152.44.41.246]:57248 helo=mail.netyu.xyz)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ruijie@HIDDEN>) id 1pC1lf-0003KH-28
 for 60460 <at> debbugs.gnu.org; Sun, 01 Jan 2023 12:05:04 -0500
Received: from fw.net.yu.netyu.xyz (<unknown> [73.133.126.255])
 by netyu.xyz (OpenSMTPD) with ESMTPSA id ba3e1d51
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Sun, 1 Jan 2023 17:05:02 +0000 (UTC)
References: <sdv4jtb8rcn.fsf@HIDDEN>
 <SJ0PR10MB54885DF2AD2368D5588D8F44F3F69@HIDDEN>
User-agent: mu4e 1.8.13; emacs 30.0.50
From: Ruijie Yu <ruijie@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : bug#60460: 30.0.50; [FR] avoid putting remote
 files to local trash
Date: Sun, 01 Jan 2023 10:47:37 -0600
In-reply-to: <SJ0PR10MB54885DF2AD2368D5588D8F44F3F69@HIDDEN>
Message-ID: <sdvmt726v9j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60460
X-Mailman-Approved-At: Sun, 01 Jan 2023 15:37:46 -0500
Cc: "60460 <at> debbugs.gnu.org" <60460 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


Drew Adams <drew.adams@HIDDEN> writes:

>> In response to this, I want to propose a change to the logic under which
>> trashing is performed rather than deletion.  However, I am not sure
>> which one of my following two ideas is more appropriate.
>>
>> 1. Allow the user to disable "moving to local trash" only for remote
>> files....
>> 2. Use a dedicated local trash directory for each remote, optionally
>> behind a toggle.
>
> (Caveat: I'm not knowledgeable about sending
> files to trash.)
>
> I would have thought that we already have a way
> for users to customize which files and dirs get
> sent to trash.
>
> Now I see that option `delete-by-moving-to-trash'
> is just a simple nil/t Boolean, as opposed to
> being nil (for don't trash) and non-nil for the
> possibility of filtering.
>
> Not trashing remote files is just one kind of
> filtering.  And you say that you want to do that
> in particular because some of your remote files
> are large.  Filtering out large files (local or
> remote) is another possibility (logically not
> the same as filtering out remote files).
>
> Users could have any number of criteria they
> want to use, to filter inclusion/exclusion of
> files to move to trash.
>
> Why not use a mechanism similar to what we use
> with `recentf.el'?  There, we have user option
> `recentf-exclude'.  That lets you use multiple
> regexps and predicates to specify the files
> you want to exclude from inclusion in the list
> of recent files.

Yes, that sounds like a good idea as well.  To expand on your idea, here
are my thoughts.

Similar to what we have for "recentf.el" today, we can have two
variables `delete-by-moving-to-trash-include' and
`delete-by-moving-to-trash-exclude', and make
`delete-by-moving-to-trash' a deprecated alias to
`delete-by-moving-to-trash-include'.  In this case, we can have the
following logic:

1. If both variables are nil, disable trashing;

2. If `dbmtt-include' is not a list, issue a warning (because now we
want a list) and enable universal trashing;

3. Handle predicates and regexps in `dbmtt-include' and `dbmtt-exclude'
similar to how these in `recentf-include' and `recentf-exclude' are
handled in "recentf.el".

One concern I have with this approach is the added complexity to file
deletion logic.  That is, whenever a file needs to be deleted with
trashing potential (TRASH is passed in as non-nil for the relevant
functions), the two lists need to be consulted for this file and all
predicates and regexps need to be run against its filename.

Best,


RY




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 1 Jan 2023 18:20:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 01 13:20:29 2023
Received: from localhost ([127.0.0.1]:41720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pC2wf-0005RC-0d
	for submit <at> debbugs.gnu.org; Sun, 01 Jan 2023 13:20:29 -0500
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:1226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1pC2wc-0005R3-Hj
 for 60460 <at> debbugs.gnu.org; Sun, 01 Jan 2023 13:20:27 -0500
Received: from pps.filterd (m0246629.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.19/8.17.1.19) with ESMTP id
 301HJT3x022683; Sun, 1 Jan 2023 18:20:25 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2022-7-12;
 bh=scg82ZajWr3LoxUOE50oq0mV1NjC3bE7TjJz2crixhE=;
 b=PTSsII9O/O+NV2UAB5luvQJa+aXgj1LpRQzn5naiR9K/6IEkiR+KyH0U6j0x4i00aqVN
 duf+9ugXb+p1oiZDkm1CIXcRNDKoW8u7QtE80zYMJ7/MZQZnpItJ9SlkFdrwqw1LVivJ
 SRuihPc1nzbkXyW4fnKevPUCRH5Lo+7zSlrz6hZgOji7HuXV03DB9qzFh3luz0AdR1xn
 DrsJKd22YuBoVt6QcNre0W7kCv3qcxX/oLEfEgv+moyh+4vo8gEHn6fpqKshvzNUDybg
 s/Ipz84yNMLninbHIsXkBnBXbGRfDZYEFiIwKKyJfOs3tzEABb7ESeLYJFlwGINe/6fU yA== 
Received: from phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com
 (phxpaimrmta02.appoci.oracle.com [147.154.114.232])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3mtcya1d9b-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 01 Jan 2023 18:20:25 +0000
Received: from pps.filterd
 (phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com [127.0.0.1])
 by phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com (8.17.1.5/8.17.1.5)
 with ESMTP id 301FULgG005966; Sun, 1 Jan 2023 18:20:24 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2102.outbound.protection.outlook.com [104.47.58.102])
 by phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com (PPS) with ESMTPS id
 3mtbra7ag8-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 01 Jan 2023 18:20:24 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=HmeAt5ANwSAj5XgiF+2Jz3Mhs5McqW5L4A4UDE2YKVyfO+wjZ6wUx6Yi51qolNXcItrnWPOEYb9u/8KP6hxgBm2rOfuSSD96mMSVpGCRHU1c3gcvYTCluuK0/laQI4XkeLXLqULLwO7rOtqm1Th4thJ1gsn7UdfUdxNlLq+TKU6l5CVKAYXB4mvj+HUXipVV6CFEzf7XLFWqmTuhwzaA+qhKfHjys9YPA8wewPBUmMg/u/HNeVfuqaFI33WLZFv1SlnYzXk9jR0zEQQukecv1Sbv3I4EefdyJojpEcdBofERcB6TKhBTOXO5ynpqK7tG9poZmVXXO4rc+bQhdulG6A==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=scg82ZajWr3LoxUOE50oq0mV1NjC3bE7TjJz2crixhE=;
 b=MR+GWRLDve/GMtINIJr4+RjK5QaOa7atcsvityIlxBMAIyxr9Ta4wGWW791z4H39x+ZY1n+sWNTMhNLbFfnN7yN/8FNe7TTkVg2dpl/hFDHVguBGJZB5mUzExRzruwQMDKiEbpl67j8xOX1AJW+HMPSRciL9Qt8sf8D3QOeJSyKTYujWexCGsI5GUOzpfLTZqvq7P4UBhqaPyHVvzgBkuPUFNM/R+Lt58AbGMywFUo2A3qaRUZSsQxKK9UamCnxFzduMli+rDV6IBHx62rBYdK+I5kK/iA55pVqnZVUk6pU3zf/j7u9B4/WeVvJurix/gbkPH2dc46IeXa0OPIj+aQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=scg82ZajWr3LoxUOE50oq0mV1NjC3bE7TjJz2crixhE=;
 b=OTfnDQA8oDeieQthlXDqkXjA7f3c7VX2/l0QcZTytrYomVK1N6SAeMXYKPmoM2TS3RfU49qJ0fuEkQjcifDHM5g5fUx95TGmBguFt8/o4PPPYtqEsm2crvahmt5PJNyLLPvYXrw+bcdJPMUKzEKpYF10yAeeV06khVLkq5joXY8=
Received: from CO6PR10MB5473.namprd10.prod.outlook.com (2603:10b6:5:355::21)
 by DS0PR10MB6174.namprd10.prod.outlook.com (2603:10b6:8:c2::21) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5944.19; Sun, 1 Jan
 2023 18:20:22 +0000
Received: from CO6PR10MB5473.namprd10.prod.outlook.com
 ([fe80::59af:ade8:1aa1:3ec0]) by CO6PR10MB5473.namprd10.prod.outlook.com
 ([fe80::59af:ade8:1aa1:3ec0%7]) with mapi id 15.20.5944.019; Sun, 1 Jan 2023
 18:20:22 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Ruijie Yu <ruijie@HIDDEN>
Subject: RE: [External] : bug#60460: 30.0.50; [FR] avoid putting remote files
 to local trash
Thread-Topic: [External] : bug#60460: 30.0.50; [FR] avoid putting remote files
 to local trash
Thread-Index: AQHZHgMzItkU3BA8U0mqxwECVklsnq6J3EEQ
Date: Sun, 1 Jan 2023 18:20:22 +0000
Message-ID: <CO6PR10MB5473CBCBA7B8EF52B2540E32F3F69@HIDDEN>
References: <sdv4jtb8rcn.fsf@HIDDEN>
 <SJ0PR10MB54885DF2AD2368D5588D8F44F3F69@HIDDEN>
 <sdvmt726v9j.fsf@HIDDEN>
In-Reply-To: <sdvmt726v9j.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-traffictypediagnostic: CO6PR10MB5473:EE_|DS0PR10MB6174:EE_
x-ms-office365-filtering-correlation-id: c93c179b-9cd3-4626-1969-08daec24d8d3
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 9iNBvqcEA+VpK70tHKdblObzOvWNyjxJO4xHmQ8X5LrqPA6OL9c8SQkMm5vJqQ4Gp/Uhqk0e5exxeHbvWFNuaEgM2hXe/1bg9lLFEu1vtaKGCSmklHnSDnhoYpTGCLv4hX9xrASfHlSxPJd5gGfllamX2QQMzsAOwnXIFK/zkhA7B9ZtG7vQzzCPQPvqx0fNNbHK7j6T+LShp3XYHkomX/pq6aVjEDV/0Emm4e8fA5Jl452ve8uIGxVWhcvkDqQWd3CoaHhOeOpeAHAZJ2PAsNhoOjzVhwVU5I5LCfA91Bwv0ZNamuuGeMTm/p/0vU3RBogky4OBuB+LLBOYYQsZhkmJcHz+t8ocGcjz6u6HNlQk3OUiwXCg98h5ZqJDbvBYj1bskrBbyZJH5g14HyosdSbF5qJ6E1c0H8HsEYOLteT9gNsnAJK4nHUWKvZDwtO76YgO/23z/98WHks+UmLXAQ8pVUhHHjeNK2YEhXAK8AUBApbM7vtaWnng+mHnuO3cHe8ki3JDdRa5BH+j7JaNpUlwXTPSirFhOY2T9kWksAl0Db2xdyPpMvUYv70hWgJnDZJlL5B5ubjYDbBhr4yPGc4hGOefXpOtmisjw79+We8nG9QN7SqjlEQO5y3m75n4apaHF9P3yoTi3FDON0p5wjw7IcrNqQ5It2DS/8i2Y/v9MC+54+sgb31UkloPNHrDjnV4+h7Xbq4h06B7ahs/Mwbx3EXumhsrCFV+FhTgRN4=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:CO6PR10MB5473.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230022)(136003)(396003)(39860400002)(366004)(346002)(376002)(451199015)(8936002)(41300700001)(4326008)(66946007)(8676002)(76116006)(5660300002)(316002)(64756008)(2906002)(52536014)(6916009)(66556008)(6506007)(7696005)(71200400001)(66446008)(478600001)(66476007)(44832011)(86362001)(55016003)(26005)(186003)(83380400001)(9686003)(122000001)(38100700002)(38070700005)(33656002)(22166003);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?cB9H7p7J0v2b6ORJB5mtZm1iMZD+j+oXOCtkub5jeNWcgopH0hX6lWVtLw72?=
 =?us-ascii?Q?qHBS7DXpBJ409fupc3zA97gOwSgB8eSQJ3g+BD/WolsNIiecktqUdtOKrWxW?=
 =?us-ascii?Q?ex/4EAY418TKDOc1K01flWdVjl9E5YzprChSQc+CA5ZHzopKf6dmv7YPINm+?=
 =?us-ascii?Q?wnGR8HhsFUwFhd8RneKKTRqf48AGq1CLTGjEDQDwv1gtzBCKQl4xLGeQ3M+7?=
 =?us-ascii?Q?JG27878YXf69/k+nvE2XtajVvI6iAcC0xyqlgJ88hgq7EDoBjRymxB+hZZZ4?=
 =?us-ascii?Q?kkyei4uOAMoQs06klR7FNAr93SWQH8TOu9o4A8Iw7xdZ7FbVb3rSFqT78lI0?=
 =?us-ascii?Q?A6ZlgXFzw5GnVT+G0sThkoqLsKw+U2iZgMFvsp9/f6TLmePRJdLd3zhiq84N?=
 =?us-ascii?Q?XTM5IDessqZgVjia1nh/OGiHrWQw46x/o4dPTiqJ27zaeXf3Nms8ympdMcSK?=
 =?us-ascii?Q?PZQiq2htzT9KMlLyqqbZTYbZJGMnXYOa+foki1IamCMVrG0O46NPGTHrQ0MZ?=
 =?us-ascii?Q?59b0oLGHZSOCwHX91pDCji6cgWycV2y2t7xIGNd/8b/xPX/zQYxwYWjo3Uzt?=
 =?us-ascii?Q?jcwGeILklTAxm+//d4RknWVYQudPsDMFsyAie9IkkgmtPzz/fhoOYP1QDOGj?=
 =?us-ascii?Q?Kgj0zR2La88b9vOecBj9Vz0MEjYQf7ACumrQYu1prD/s3ykSKTQdCA25Pu3t?=
 =?us-ascii?Q?DctzQloHEMwyTP8DGFOU2Y+kCkRNOfaQ3HG8TJDvtzytvNDwtseZEBEb+nv5?=
 =?us-ascii?Q?JZyGS8p2JeRpmeHv4YP/hmNA5kPU+/e1kh2VyBSA9yBT8EY+9tRJlbCDZFV/?=
 =?us-ascii?Q?0/64PGBGiIB7K6gq5E3H9Kv+G4gKQMgisMD8xstCyNQdWODmlt8L4BQAD4pd?=
 =?us-ascii?Q?Gw4Shsi7f2ipTTZfLNNv5nyRmyfgw/OJtXPv13sZtVaFFM0QjJCy+oLB/kuK?=
 =?us-ascii?Q?vkOLXFHE9T4+DX1AaK9v2rq4eHgvbqPHNNJdwKIw4G4UxOxml+ZJtnRERA4N?=
 =?us-ascii?Q?4HFeq/ZbCpIDhDUht/ZurXeVN+syjvgi2bRWcTuRo4s/m3KAx1QWQ2MTKgWA?=
 =?us-ascii?Q?84Tgvcz1Np7w2idXQHk0xuyBS/yXU41ieV6UVNBwrFfiJgzNC5B8MTyrTpGV?=
 =?us-ascii?Q?gNMMhZQk0gGbaq31SruD3itBQzqZqU/4JUu6ZycjueCqyBCy9Fiw3ZPV6ss2?=
 =?us-ascii?Q?XgeyNVNaFEl0MAZb/CftPy53pTDLmOMHWccmebmuMGUiAQj++Uthw4orD91r?=
 =?us-ascii?Q?FWoIMbNEbZ9JHF1yGUheyE79gbiXC0Yb570O1D4LuWCVN2LQODvof89vLPBz?=
 =?us-ascii?Q?1XZjUNH/y88Gc7OHw0V7ePVueUeUnrT3sn5W71lvlYTm4/kagD+DFy+IFAxw?=
 =?us-ascii?Q?cFOhGXk20PjwcFHUPt6bRkYi1rxQHks7tmhDNdbu7SNpdq9rxPJbU/CTtIMS?=
 =?us-ascii?Q?FR7ig7/fi0tCIUp9LVvLmLcIXfLYht+8S1I+X53lU1fAD8OKmm5LtuCsISQd?=
 =?us-ascii?Q?nJBZrwx1o++tqRuEoBYCMn8CRSkYWYS8TJydKhLd3anDtNZlB6gJcc6Xv8h2?=
 =?us-ascii?Q?SWa4gPTrM56+RQg5loE/AbhwQbNVpWZHVnRxZmWI?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: CO6PR10MB5473.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: c93c179b-9cd3-4626-1969-08daec24d8d3
X-MS-Exchange-CrossTenant-originalarrivaltime: 01 Jan 2023 18:20:22.6412 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: CD2JPoWky/gzyMRrbTAMvw9ySgS6UvrravMJQV94ccDw9nE0SNkjU7BFqvTwBIHilJDlHJ13ZZqv8wWmDfUk8A==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DS0PR10MB6174
X-Proofpoint-Virus-Version: vendor=baseguard
 engine=ICAP:2.0.205,Aquarius:18.0.923,Hydra:6.0.545,FMLib:17.11.122.1
 definitions=2023-01-01_08,2022-12-30_01,2022-06-22_01
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 bulkscore=0 mlxscore=0
 malwarescore=0 mlxlogscore=971 phishscore=0 spamscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2212070000
 definitions=main-2301010169
X-Proofpoint-ORIG-GUID: ZbSOr8FnsjULJMG9FMqC-J2HzGQUR8HL
X-Proofpoint-GUID: ZbSOr8FnsjULJMG9FMqC-J2HzGQUR8HL
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60460
Cc: "60460 <at> debbugs.gnu.org" <60460 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Similar to what we have for "recentf.el" today, we can have two
> variables `delete-by-moving-to-trash-include' and
> `delete-by-moving-to-trash-exclude',

That's not similar to `recentf'.  There's no reason to=20
have options for both include and exclude.  It's enough
to specify what to exclude (that's what `recentf' does).

> and make `delete-by-moving-to-trash' a deprecated alias
> to `delete-by-moving-to-trash-include'.=20

I see no need for that.  We can just change the option's
non-nil value (meaning trash something) to be either:

1. A nonempty list of regexps & predicates (like
   `recentf-exclude'), saying what not to trash.
2. Any other non-nil value, meaning exclude nothing,
   i.e., trash everything.

#1 has to be nonempty, as nil means the opposite:
don't move anything to trash.

Alternatively, the option name could be changed, and
a nil (empty-list) value could mean move _everything_
to trash and `t' could mean move nothing to trash.

I don't think it's worth doing that.  I'd suggest
not renaming and just making the change I suggested.
That's backward-compatible: nil still means don't
trash, and non-nil always means trash (something,
maybe everything).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.

Message received at 60460 <at> debbugs.gnu.org:


Received: (at 60460) by debbugs.gnu.org; 1 Jan 2023 16:41:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 01 11:41:23 2023
Received: from localhost ([127.0.0.1]:41569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pC1Ol-0002hB-Et
	for submit <at> debbugs.gnu.org; Sun, 01 Jan 2023 11:41:23 -0500
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:60962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1pC1Oi-0002h3-Ns
 for 60460 <at> debbugs.gnu.org; Sun, 01 Jan 2023 11:41:21 -0500
Received: from pps.filterd (m0246630.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.19/8.17.1.19) with ESMTP id
 3017mvNr031179; Sun, 1 Jan 2023 16:41:20 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2022-7-12;
 bh=Upe5/jGZShyYQ810aNStmHf/M7MsfNlkuzLk0k2j0m4=;
 b=gyTrYUjvTCw1zRIqm9UCb+esDuqixHEQxUy44a/tFvzWasvgCxpnMDJRg3WZQ+Cl41eJ
 DcNbPBulaEqksSPlSjLiCee6bBSLdJBrlwhV1C66NfnNr/zj/jnbzu8xDbmwzgHSShvq
 8KgY6aqVcSJyFcCqhxlzreHMFczezaC24dAKHfh0OoxccRivQcNr2olK2y99maNbekLk
 JGGiIaKOKFCA+hIJnVjEEQwPbL2CacciKhGKhH6P42bcyvU6Ykd1EyLTST3JKPuXWF2a
 cVbHDGL8UBY01QXQOICLoC+LvrJCdq8rlVSwViIlrvx/0/Ve9iXK5Fam09BZQWZ5pKTB 6w== 
Received: from iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com
 (iadpaimrmta02.appoci.oracle.com [147.154.18.20])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3mtbgqhdn1-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 01 Jan 2023 16:41:20 +0000
Received: from pps.filterd
 (iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com [127.0.0.1])
 by iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com (8.17.1.5/8.17.1.5)
 with ESMTP id 301G0GZW002170; Sun, 1 Jan 2023 16:41:19 GMT
Received: from nam10-bn7-obe.outbound.protection.outlook.com
 (mail-bn7nam10lp2109.outbound.protection.outlook.com [104.47.70.109])
 by iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com (PPS) with ESMTPS id
 3mtbh96bns-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 01 Jan 2023 16:41:19 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ESSrvY8HFR09dGBFHVnBe/GJV4m3X1EjkZmJY/SGWoP0gBsFoiWKBV0xTNxerde57GkjuGcPDaZ/mptGYaZi1S9JwHqOqI1phHhC/JLZCCQOpMA3FqaEfeCEUzUjO4CjrqVy6FREUuiJ2vB0xtkMY2cs06zdM7HdJCchJcDjjp+Tr6HWDt/cf/3PSFninTFF+qmBUOhrtyCM2hrRhGIg7uX6JBpIhlsMn/lXCtzrt3oNj224YUh8IMSn6D4495j0O1hg4cGLNSbrwlVaCjcxH1bRpGt/p1Be9jxMFvZiWk2ZoXnWTPwDL6EJBHusZpuAbHc7bPrN8NbXBwqb7qZIfg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=Upe5/jGZShyYQ810aNStmHf/M7MsfNlkuzLk0k2j0m4=;
 b=gBcPbxGjhi2QUnv2nh6vPLL5prPNy/9a7U5jCDMcvmEVYrH50BzpGN++VTdrob90m7i/YZiuYAQ7V2jRobKlh9BHY7s1QV+fdG/8O/sbet8CHy88splIIAZodQrVpSZQYaCtdAlxXXkmT93HfAOCMB97pd5NlHaHi3jdNKhmqADUpo24hz83/AirXK9U/x6rsIp1RpswKnxoao0HDHZNVtYQ1o6j+c+G7LEZbO6K3cRXPOPVmfKh1ZZDkJXzUX1uWlsfISU/TsQorR3BqrTV91a7tialamgYmSSrGlLBPhN2/yIpdPQ8y/0LqXgckZHlEBw0ltzWvKX2iT1+DKOmDw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Upe5/jGZShyYQ810aNStmHf/M7MsfNlkuzLk0k2j0m4=;
 b=IMocA+dVZxnNOM3mTm+1WHIioFAQxihJ3KRpYW/ZXWL9DwcgLzSPLDwrxc4ef6FLwmPwgdA9MNKKw0w8M5IunBWXq9glmqzjvJ02g7boYi6/BtrzYNerHwm63KdWEvUjzGAs0TatqwwLOBD8eS22DpmguVTtPtSRbu6w6TlBXmQ=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BN0PR10MB4952.namprd10.prod.outlook.com (2603:10b6:408:122::13)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5944.19; Sun, 1 Jan
 2023 16:41:18 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::7c3c:e53d:5276:ef29]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::7c3c:e53d:5276:ef29%8]) with mapi id 15.20.5944.018; Sun, 1 Jan 2023
 16:41:17 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Ruijie Yu <ruijie@HIDDEN>, "60460 <at> debbugs.gnu.org"
 <60460 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#60460: 30.0.50; [FR] avoid putting remote files
 to local trash
Thread-Topic: [External] : bug#60460: 30.0.50; [FR] avoid putting remote files
 to local trash
Thread-Index: AQHZHbxBMcfMu7C2sU6qKa+ZL36P2a6Jv8JA
Date: Sun, 1 Jan 2023 16:41:17 +0000
Message-ID: <SJ0PR10MB54885DF2AD2368D5588D8F44F3F69@HIDDEN>
References: <sdv4jtb8rcn.fsf@HIDDEN>
In-Reply-To: <sdv4jtb8rcn.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-traffictypediagnostic: SJ0PR10MB5488:EE_|BN0PR10MB4952:EE_
x-ms-office365-filtering-correlation-id: 86258a7d-c67a-47a4-40f6-08daec17017e
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: yiR3Sktk9rURXCXkpDt6QwKPQv7ZqI1slwi73rpKNyLKDAN4FBZio+w45OsaNY+hl9vj0wmpi4VzAhSwieR8UXcRVe2qAaYZOrWRHlhC++IbM+ll5Gx739AbgJegL5XLaO9izY7P8ntHHJJTlhqrsOAKQmb9tyaVtc8LolbcywoRwfJiLr6ukfzji3J4k1Gzs1p6yXtT6jpkBrhPynG8MbtlFYzW7Jxa0jVtMPtxivuG2J65w6z2zgXXGJtHDFHV1hYWcKL3OhZeM59A6NFxCb9QME2T1dxyvjAzTC+noIKojgiepu3AJaJCWPgg5OAtZAcFj49zfX2aavfKPPrVWz4ODWmWmyzcHOqPPdmaXtUWyDK4bcLA9ThQ8UcXnkpBdNb5lPZlNutFltpadjZtn/3I8hPr/F9fHQvfhNO0dyroSSDObydP9jN0hSp+9k9pISF8lb6XW8xMWzNUdN7J3ELjcW4gtSL0LwVpb//zq+4NCzf8cJ8OiUl2fyA6ryonFbLwyGu4dbFQY2/5p66I2ndGg8U6BKkpgoj/rq/MjwZMBXHs3TwB7kQDKVxFTidxmhkq2JQLf6CYPeAj/jlcRKHinxCsr6gzSU+PweAW/pRytBgiIzBInieVANrNPeuogAheJfw7tVauCZaMqVUUsDLBZbnwpNNLAMp4iHEj8DKR+pE2EE15gWoMwdkiru2pnHtzteVehcaf/OT0xYiMuNR3Pwd6+sPs0dQcA//dogc=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230022)(396003)(366004)(39860400002)(346002)(136003)(376002)(451199015)(83380400001)(186003)(9686003)(26005)(6506007)(33656002)(55016003)(7696005)(38070700005)(86362001)(38100700002)(122000001)(52536014)(41300700001)(8676002)(2906002)(5660300002)(8936002)(44832011)(71200400001)(66556008)(478600001)(66946007)(76116006)(66476007)(316002)(64756008)(110136005)(66446008)(22166003);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?Z/LkzKsepvOc1Uo5nr+BC5f88ICLBSJzpfQATHKxRs4MUurGhlnsk9zXq9k+?=
 =?us-ascii?Q?ycGDI5jrWgNr1ll3AZtbrGdB3sCDHRLTn3gvGGYTatVAohzSiozyy2iYSh8U?=
 =?us-ascii?Q?99MsYn9mpyerKDm5pl6IMm4iBsxDmnpqbua5qjk8bCeiGW+I5kPhJgO74Zyv?=
 =?us-ascii?Q?eAeeAjLuO8s7ZnRxs/a8aRoTC+2+D62ZAfISUk/5yhIRvW18uUBtyhIgkrYW?=
 =?us-ascii?Q?zi31+LO2uyAIGFqVYzvPRVPzjsog7b5uYhke10jBfybhZb0JUwOzJLsuRsYt?=
 =?us-ascii?Q?JjaPIQUGiXI5uicf0N1cNOKh+y0B28Sn00nax0RQX11kmfdazyWO0CGKqcI5?=
 =?us-ascii?Q?2YNZVsLeqRVwE6f2TJgiQ2sfPmgeE8kZcst0dOLvMMXMSX4lxtHUn7EoQfag?=
 =?us-ascii?Q?ClFWuDQ7Kc60BxopJ8C3p2hWbz3kTCe91bow3MiTXqpo/Que11lkOGNAPYsr?=
 =?us-ascii?Q?+wGZJ7ZTgpHMlsCya+8Idx0QMMnahRa3iJXh9sz0UYNRW91cY07/f5x5DZIf?=
 =?us-ascii?Q?sgbutRo2iPsk9tmhJOOwXWMf79iyyMSJ1SWqzMKcdrl2bt8m/h9h9wz6M+60?=
 =?us-ascii?Q?uPbIqniF2Z5h/+KIdW+pJNgAy20AI24WQ1JkeqQOpzvNpXLWpjgP2wF/V1yQ?=
 =?us-ascii?Q?bCcf4hdh4FeZ3GxuxjwWZqBnASXu8XNQojusKyX1/djlxswWTCvl3eqcspI6?=
 =?us-ascii?Q?VqcTagtIQSwxvx8QWmtexEfHhOvh5zKJE++7kkcjuHbFT8kN5bZzsOnl5WmM?=
 =?us-ascii?Q?lBEHDG6IgnL5HcEZT034FjgUUNPeAouiCJoW81Xv5d0eg1lKceFz9DcYHtQg?=
 =?us-ascii?Q?EBZZkhHdbUi+zmbv+YUvU5U6BI1oSLK+JYTtSnN6LQwLehpSFT56YuU7zIvR?=
 =?us-ascii?Q?NRIcCLjpe8/Zy3JdT+nuLeGXIgqppgEraaFOntk1/K7K6qYh1UVBoxdGNrG4?=
 =?us-ascii?Q?Kh9Q/zcc2qC9yCVfgmuqYccfZo+FvmlNiO9ZxVWO2BZwSCqyMJhXYknhtlQo?=
 =?us-ascii?Q?Pi65E4CvgVEuKAvzH1WZDXMEjw17kXrpjd3EWpaQwfwEKgdsVb86LuDBgOtW?=
 =?us-ascii?Q?afW5r4KZgJ/WbKb/+IaRD5ZfgNcH+5W6lqcWmf7zXC9BsVT1M96YCh1o63vu?=
 =?us-ascii?Q?b5K/xWxPCwbF0QBrwil3inGN9ym36e8AswH+W23vs914N/Gq586cSaJ+a/5j?=
 =?us-ascii?Q?2GD4NBTrTVAuKvXIJsVNbcIQgFR9aZLyGCSXCc7cfWsbVhCqCVB/Ocm35+Rg?=
 =?us-ascii?Q?7F4HC8QFIn/PtVXOJtOPlgTuimKRFMAcQaViHXsYrL47ML3Y5RWtG9EBLGA4?=
 =?us-ascii?Q?misDHy4Gs0zmI/abYLIq+YuQh0+TxIDB9x+N0Ue1X7ybHTzng7Y6e1y6uq/n?=
 =?us-ascii?Q?8RyH4pGspCezvP1qI5diZNXUP7r4+32lMeSOBc3p4VNihvggL9D9HamdMSc7?=
 =?us-ascii?Q?x4fevz2yddyurSubsHTur9Bymko+jAb8gRQphKgoSoqs33rx6Go8I91uriwM?=
 =?us-ascii?Q?8HGU3f2G83H6OARdJGkfeGTTKz7y4idHQets6dxxjloarNrfLS4gVxLkXSRs?=
 =?us-ascii?Q?ZCYRmJeviHYHXsiY/danLyKDJQLcaB9NavSpMRS9?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 86258a7d-c67a-47a4-40f6-08daec17017e
X-MS-Exchange-CrossTenant-originalarrivaltime: 01 Jan 2023 16:41:17.9488 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: EsXkPWXQoUuaDMkT8SmtlT8G8sEvv7X0l/IWHIFMt6JHKAVocdFMB+PKOeyYY6o87S99FJheJTkrWUqvled+4Q==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN0PR10MB4952
X-Proofpoint-Virus-Version: vendor=baseguard
 engine=ICAP:2.0.205,Aquarius:18.0.923,Hydra:6.0.545,FMLib:17.11.122.1
 definitions=2023-01-01_07,2022-12-30_01,2022-06-22_01
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 spamscore=0 phishscore=0
 bulkscore=0 mlxlogscore=999 mlxscore=0 malwarescore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2212070000
 definitions=main-2301010153
X-Proofpoint-GUID: cp0glmSSEqiZJ5dmO1AIVXsNJWmUWmZs
X-Proofpoint-ORIG-GUID: cp0glmSSEqiZJ5dmO1AIVXsNJWmUWmZs
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60460
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> In response to this, I want to propose a change to the logic under which
> trashing is performed rather than deletion.  However, I am not sure
> which one of my following two ideas is more appropriate.
>=20
> 1. Allow the user to disable "moving to local trash" only for remote
> files....
> 2. Use a dedicated local trash directory for each remote, optionally
> behind a toggle. =20

(Caveat: I'm not knowledgeable about sending
files to trash.)

I would have thought that we already have a way
for users to customize which files and dirs get
sent to trash.

Now I see that option `delete-by-moving-to-trash'
is just a simple nil/t Boolean, as opposed to
being nil (for don't trash) and non-nil for the
possibility of filtering.

Not trashing remote files is just one kind of
filtering.  And you say that you want to do that
in particular because some of your remote files
are large.  Filtering out large files (local or
remote) is another possibility (logically not
the same as filtering out remote files).

Users could have any number of criteria they
want to use, to filter inclusion/exclusion of
files to move to trash.

Why not use a mechanism similar to what we use
with `recentf.el'?  There, we have user option
`recentf-exclude'.  That lets you use multiple
regexps and predicates to specify the files
you want to exclude from inclusion in the list
of recent files.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.
Merged 60460 60462. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Jan 2023 08:35:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 01 03:35:32 2023
Received: from localhost ([127.0.0.1]:40249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pBtoa-0001CS-5Y
	for submit <at> debbugs.gnu.org; Sun, 01 Jan 2023 03:35:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:35688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ruijie@HIDDEN>) id 1pBeof-0007K2-M4
 for submit <at> debbugs.gnu.org; Sat, 31 Dec 2022 11:34:37 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ruijie@HIDDEN>) id 1pBeof-0002SZ-Gj
 for bug-gnu-emacs@HIDDEN; Sat, 31 Dec 2022 11:34:37 -0500
Received: from netyu.xyz ([152.44.41.246] helo=mail.netyu.xyz)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ruijie@HIDDEN>) id 1pBeod-0007IU-Oc
 for bug-gnu-emacs@HIDDEN; Sat, 31 Dec 2022 11:34:37 -0500
Received: from fw.net.yu.netyu.xyz (<unknown> [73.133.126.255])
 by netyu.xyz (OpenSMTPD) with ESMTPSA id 5f233fa6
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO) for <bug-gnu-emacs@HIDDEN>;
 Sat, 31 Dec 2022 16:34:32 +0000 (UTC)
From: Ruijie Yu <ruijie@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 30.0.50; [FR] avoid putting remote files to local trash
Date: Sat, 31 Dec 2022 10:34:16 -0600
Message-ID: <sdv4jtb8rcn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=152.44.41.246; envelope-from=ruijie@HIDDEN;
 helo=mail.netyu.xyz
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.498,
 FROM_SUSPICIOUS_NTLD_FP=1.997, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 01 Jan 2023 03:35:31 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello,

I have been organizing my files lately over multiple devices using
tramp.  One issue I find with my current setup is that since I set
`delete-by-moving-to-trash' to t, all files, even the remote ones, are
moved to my trash directory.

This, unfortunately, harms my workflow because the files I wanted to
delete include some random multi-gig files, as well as many .git
directories, both of which greatly bottleneck my file-deletion process.
I also don't want to disable trashing globally, because I think putting
local files to trash (which do not introduce a significant delay) is
still a good idea.

In response to this, I want to propose a change to the logic under which
trashing is performed rather than deletion.  However, I am not sure
which one of my following two ideas is more appropriate.

1. Allow the user to disable "moving to local trash" only for remote
files.  I imagine this would entail allowing the user to set
`delete-by-moving-to-trash' to 'local, and modifying `delete-file',
`delete-directory', `dired-internal-do-deletions' among other functions
accordingly.  Alternatively we can have a dedicated variable for this
purpose.

In this case, if `delete-by-moving-to-trash' is set to 'local, whenever
a user deletes a remote file such as "/sudo::/etc/os-release", it is
simply deleted as if via "/sudo:://bin/rm", whereas when the user
deletes a local file ".bashrc", it is moved to trash as normal.

2. Use a dedicated local trash directory for each remote, optionally
behind a toggle.  E.g. for files under "/sudo::" remote, we might have
the trash directory as "/sudo::.local/share/Trash".  I am not sure how
this would interact with `trash-directory', as I have this as nil and
simply let Emacs use the XDG path for trash.

This might additionally pose some challanges when multiple remotes are
aliases to each other, for example, "/sshx:user@localhost:.bashrc" and
"/sshx:user@HIDDEN:.bashrc" logically are the same file, but it might
be hard to programmatically check that two hosts are equivalent.

Best,


RY




Acknowledgement sent to Ruijie Yu <ruijie@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#60460; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 Jan 2023 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.